GNU bug report logs - #19045
25.0.50; [PATCH] vc-git-print-log use --follow

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: ofv@HIDDEN (Óscar Fuentes); merged with #8756; dated Thu, 13 Nov 2014 17:06:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 20 Feb 2018 21:36:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 20 16:36:08 2018
Received: from localhost ([127.0.0.1]:53319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eoFa3-00038s-Kx
	for submit <at> debbugs.gnu.org; Tue, 20 Feb 2018 16:36:07 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:59992
 helo=homiemail-a15.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1eoFa2-00038k-N7
 for 19045 <at> debbugs.gnu.org; Tue, 20 Feb 2018 16:36:07 -0500
Received: from homiemail-a15.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a15.g.dreamhost.com (Postfix) with ESMTP id 91ED476C06B;
 Tue, 20 Feb 2018 13:36:05 -0800 (PST)
Received: from localhost.linkov.net (m91-129-98-215.cust.tele2.ee
 [91.129.98.215])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a15.g.dreamhost.com (Postfix) with ESMTPSA id 3FF5D76C069;
 Tue, 20 Feb 2018 13:36:04 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
 <87607bunrz.fsf@HIDDEN>
 <52b6e1bb-5657-722f-eafe-73fc6c3a82a4@HIDDEN>
 <87r2pxvlah.fsf@HIDDEN>
 <d2b99140-16e0-43e4-32da-efcf679a79c8@HIDDEN>
 <87d11csg1u.fsf@HIDDEN>
 <2f104cc5-6629-b74c-4a9b-4d678d888841@HIDDEN>
 <87bmgpoqjr.fsf@HIDDEN> <83r2ple53c.fsf@HIDDEN>
Date: Tue, 20 Feb 2018 22:39:25 +0200
In-Reply-To: <83r2ple53c.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 16 Feb
 2018 10:00:55 +0200")
Message-ID: <87sh9vtmyq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

>> -		  (message "Running %s in background..." full-command))
>> +		  (message "Running  in background: %s" full-command))
>                                    ^^
> Extra blank.
>
>> -		   (message "Running %s in background... done" full-command))))
>> +		    (let ((message-truncate-lines t))
>> +		      (message "Finished in background: %s" full-command)))))
>
> I find the original more in line with what we do elsewhere in Emacs.
> If the problem is that "done" could be truncated, then please use
>
>   Done in background: %s

Then extra blank is not needed when using =E2=80=9CDone in background=E2=80=
=9D because it
would require too many blanks to align with =E2=80=9CFinished in backgrou=
nd=E2=80=9D.

>> -	      (error "Running %s...FAILED (%s)" full-command
>> -		     (if (integerp status) (format "status %d" status) status)))
>> +	      (error "Failed (%s): %s"
>> +                     (if (integerp status) (format "status %d" status=
) status)
>> +		     full-command))
>>  	    (when vc-command-messages
>> -	      (message "Running %s...OK =3D %d" full-command status))))
>> +	      (message "Success (%d): %s" status full-command))))
>
> "Failed" and "Success" don't go together well, as they use different
> grammatical form.  How about using "Done" here as well?  And won't
> status always be zero when it succeeds?  If not, I'd use

I see that the status in case of success is 1.

>   Done (status=3D%d): %s

Done in the following patch:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=vc-dispatcher.patch

diff --git a/lisp/vc/vc-dispatcher.el b/lisp/vc/vc-dispatcher.el
index b0d2221..da9d346 100644
--- a/lisp/vc/vc-dispatcher.el
+++ b/lisp/vc/vc-dispatcher.el
@@ -290,16 +290,16 @@ vc-do-command
   (let* ((files
 	  (mapcar (lambda (f) (file-relative-name (expand-file-name f)))
 		  (if (listp file-or-list) file-or-list (list file-or-list))))
+	 ;; Keep entire commands in *Messages* but avoid resizing the
+	 ;; echo area.  Messages in this function are formatted in
+	 ;; a such way that the important parts are at the beginning,
+	 ;; due to potential truncation of long messages.
+	 (message-truncate-lines t)
 	 (full-command
-	  ;; What we're doing here is preparing a version of the command
-	  ;; for display in a debug-progress message.  If it's fewer than
-	  ;; 20 characters display the entire command (without trailing
-	  ;; newline).  Otherwise display the first 20 followed by an ellipsis.
 	  (concat (if (string= (substring command -1) "\n")
 		      (substring command 0 -1)
 		    command)
-		  " "
-		  (vc-delistify (mapcar (lambda (s) (if (> (length s) 20) (concat (substring s 0 2) "...")  s)) flags))
+		  " " (vc-delistify flags)
 		  " " (vc-delistify files))))
     (save-current-buffer
       (unless (or (eq buffer t)
@@ -324,7 +324,7 @@ vc-do-command
 		       (apply 'start-file-process command (current-buffer)
                               command squeezed))))
 		(when vc-command-messages
-		  (message "Running %s in background..." full-command))
+		  (message "Running in background: %s" full-command))
                 ;; Get rid of the default message insertion, in case we don't
                 ;; set a sentinel explicitly.
 		(set-process-sentinel proc #'ignore)
@@ -332,10 +332,11 @@ vc-do-command
 		(setq status proc)
 		(when vc-command-messages
 		  (vc-run-delayed
-		   (message "Running %s in background... done" full-command))))
+		    (let ((message-truncate-lines t))
+		      (message "Done in background: %s" full-command)))))
 	    ;; Run synchronously
 	    (when vc-command-messages
-	      (message "Running %s in foreground..." full-command))
+	      (message "Running in foreground: %s" full-command))
 	    (let ((buffer-undo-list t))
 	      (setq status (apply 'process-file command nil t nil squeezed)))
 	    (when (and (not (eq t okstatus))
@@ -345,13 +346,14 @@ vc-do-command
                 (pop-to-buffer (current-buffer))
                 (goto-char (point-min))
                 (shrink-window-if-larger-than-buffer))
-	      (error "Running %s...FAILED (%s)" full-command
-		     (if (integerp status) (format "status %d" status) status)))
+	      (error "Failed (%s): %s"
+		     (if (integerp status) (format "status %d" status) status)
+		     full-command))
 	    (when vc-command-messages
-	      (message "Running %s...OK = %d" full-command status))))
+	      (message "Done (status=%d): %s" status full-command))))
 	(vc-run-delayed
-	 (run-hook-with-args 'vc-post-command-functions
-                             command file-or-list flags))
+	  (run-hook-with-args 'vc-post-command-functions
+			      command file-or-list flags))
 	status))))
 
 (defun vc-do-async-command (buffer root command &rest args)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 18 Feb 2018 00:13:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 17 19:13:40 2018
Received: from localhost ([127.0.0.1]:48760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1enCbr-0003Nu-Qf
	for submit <at> debbugs.gnu.org; Sat, 17 Feb 2018 19:13:40 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58963)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1enCbp-0003Nf-LZ
 for 19045 <at> debbugs.gnu.org; Sat, 17 Feb 2018 19:13:38 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1enCbj-0000cS-I8
 for 19045 <at> debbugs.gnu.org; Sat, 17 Feb 2018 19:13:32 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60972)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1enCbc-0000ZK-1o; Sat, 17 Feb 2018 19:13:24 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1enCbb-00011H-I2; Sat, 17 Feb 2018 19:13:23 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <e03b0e1f-580e-808c-e08d-f51d857fcc23@HIDDEN> (message from
 Dmitry Gutov on Fri, 16 Feb 2018 12:20:21 +0200)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
 <87607bunrz.fsf@HIDDEN>
 <52b6e1bb-5657-722f-eafe-73fc6c3a82a4@HIDDEN>
 <87r2pxvlah.fsf@HIDDEN>
 <d2b99140-16e0-43e4-32da-efcf679a79c8@HIDDEN>
 <87d11csg1u.fsf@HIDDEN>
 <2f104cc5-6629-b74c-4a9b-4d678d888841@HIDDEN>
 <87bmgpoqjr.fsf@HIDDEN> <83r2ple53c.fsf@HIDDEN>
 <e03b0e1f-580e-808c-e08d-f51d857fcc23@HIDDEN>
Message-Id: <E1enCbb-00011H-I2@HIDDEN>
Date: Sat, 17 Feb 2018 19:13:23 -0500
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, eliz@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > As previously discussed, it helps the full-command contents line up in 
  > the Messages buffer. "Running " is the same width as "Finished".

If that's the reason for the apparently erroneous code, 
please add a comment to say so.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)
Skype: No way! See https://stallman.org/skype.html.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 16 Feb 2018 10:52:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 16 05:52:21 2018
Received: from localhost ([127.0.0.1]:45694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1emdcr-0001fM-HR
	for submit <at> debbugs.gnu.org; Fri, 16 Feb 2018 05:52:21 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55799)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1emdcp-0001f8-Lc
 for 19045 <at> debbugs.gnu.org; Fri, 16 Feb 2018 05:52:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1emdcg-0003Ge-Ed
 for 19045 <at> debbugs.gnu.org; Fri, 16 Feb 2018 05:52:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52380)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1emdcg-0003GW-Av; Fri, 16 Feb 2018 05:52:10 -0500
Received: from [176.228.60.248] (port=2015 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1emdcf-0000d7-NB; Fri, 16 Feb 2018 05:52:10 -0500
Date: Fri, 16 Feb 2018 12:52:09 +0200
Message-Id: <83a7w9dx5y.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <e03b0e1f-580e-808c-e08d-f51d857fcc23@HIDDEN> (message from
 Dmitry Gutov on Fri, 16 Feb 2018 12:20:21 +0200)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
 <87607bunrz.fsf@HIDDEN>
 <52b6e1bb-5657-722f-eafe-73fc6c3a82a4@HIDDEN>
 <87r2pxvlah.fsf@HIDDEN>
 <d2b99140-16e0-43e4-32da-efcf679a79c8@HIDDEN>
 <87d11csg1u.fsf@HIDDEN>
 <2f104cc5-6629-b74c-4a9b-4d678d888841@HIDDEN>
 <87bmgpoqjr.fsf@HIDDEN> <83r2ple53c.fsf@HIDDEN>
 <e03b0e1f-580e-808c-e08d-f51d857fcc23@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 19045 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Fri, 16 Feb 2018 12:20:21 +0200
> 
> On 2/16/18 11:00 AM, Eli Zaretskii wrote:
> 
> >> -		  (message "Running %s in background..." full-command))
> >> +		  (message "Running  in background: %s" full-command))
> >                                     ^^
> > Extra blank.
> 
> As previously discussed, it helps the full-command contents line up in 
> the Messages buffer. "Running " is the same width as "Finished".

Then please mention that in the comments to the code,as this surely
looks like a typo.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 16 Feb 2018 10:20:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 16 05:20:31 2018
Received: from localhost ([127.0.0.1]:45676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1emd83-0007Nv-Ax
	for submit <at> debbugs.gnu.org; Fri, 16 Feb 2018 05:20:31 -0500
Received: from mail-wr0-f170.google.com ([209.85.128.170]:33090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1emd82-0007Ng-7v
 for 19045 <at> debbugs.gnu.org; Fri, 16 Feb 2018 05:20:30 -0500
Received: by mail-wr0-f170.google.com with SMTP id s5so2382180wra.0
 for <19045 <at> debbugs.gnu.org>; Fri, 16 Feb 2018 02:20:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=z6mVO9ewlZADln+VeJvWkibJrGPbGoTiTKVinniaxxo=;
 b=KesSQGPThx+b8KzarSdYOl0tqnsmnwsV7IuQ46xHhZGuGQjj2You2RPkPeCxICG20Z
 VUyRFpIeF34GbjJddlq3TobW/SCF8mj3AWC4zHRfc/9ihg3HxI7d/sDX+2Rs9yWGpRZu
 UMHqGIfzsvykNv2uzTs7y+jDXKjIx9lBKOiPc6G+k6Q2msh0BHsq+3NrL8+R5Ya1lV/t
 MKiOMxSIxnuIfdaUgPYuW4vVAXGeHUU7lC6ewX50S2m8rd4v+QzeUdIH7Yq9bAo34J86
 w19hJ6957VwrA877eXtprEE3/nE03UOAVc6ZxaUNRm6SlKRhO4DPWj+Hao5y1Q3Pf+iv
 82iQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=z6mVO9ewlZADln+VeJvWkibJrGPbGoTiTKVinniaxxo=;
 b=huZzqkN9rsl7BC+Zu48n8YrogRvWK8FnTE0dEjyxj3UB05zfwGxhBfR/AZ/wt8z7CS
 BxY4DK4AIz+Cdptt50wJedKgI2yjfm7NY2PaSJXWbyRnJQs4JO43ty10D4kRQaOiqmbP
 e5RkMoFGfLW0ZgTBMpaY90MFEYPpwJP454p1FScx0RMsslataaCy2k1scx10GAg8cU0N
 9DkPYEH2dakWCtNPkD9X9xCZRwuqk8G2fxukDwi8wqljBH80SaF2xan4qCnKE6Pl1W0G
 S6VqyWI4K2ygFm2BZxHWyVMS0XaggWqy5oiFa6cOQA/03sVI8fCy5exI7ixYw8RHUTeP
 q9tA==
X-Gm-Message-State: APf1xPCqYSKRfbFFU5YLX2ZIKGIRxzGgc/2Q7ImUdjEzAEIuYtvOqmjF
 OMnpmWbwYgCXia2zm302BYEhpm/k
X-Google-Smtp-Source: AH8x225AF6dai0K+pU908MavM7fNoqH8hCHjGecCau5ryDgQjrer4dkk2zQFccxRqVG9dXZlJ3uzzw==
X-Received: by 10.223.135.51 with SMTP id a48mr577117wra.149.1518776423929;
 Fri, 16 Feb 2018 02:20:23 -0800 (PST)
Received: from [192.168.1.3] ([185.105.174.193])
 by smtp.googlemail.com with ESMTPSA id h13sm24272114wrc.89.2018.02.16.02.20.22
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 16 Feb 2018 02:20:23 -0800 (PST)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
To: Eli Zaretskii <eliz@HIDDEN>, Juri Linkov <juri@HIDDEN>
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
 <87607bunrz.fsf@HIDDEN>
 <52b6e1bb-5657-722f-eafe-73fc6c3a82a4@HIDDEN>
 <87r2pxvlah.fsf@HIDDEN>
 <d2b99140-16e0-43e4-32da-efcf679a79c8@HIDDEN>
 <87d11csg1u.fsf@HIDDEN>
 <2f104cc5-6629-b74c-4a9b-4d678d888841@HIDDEN>
 <87bmgpoqjr.fsf@HIDDEN> <83r2ple53c.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <e03b0e1f-580e-808c-e08d-f51d857fcc23@HIDDEN>
Date: Fri, 16 Feb 2018 12:20:21 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:59.0) Gecko/20100101
 Thunderbird/59.0
MIME-Version: 1.0
In-Reply-To: <83r2ple53c.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On 2/16/18 11:00 AM, Eli Zaretskii wrote:

>> -		  (message "Running %s in background..." full-command))
>> +		  (message "Running  in background: %s" full-command))
>                                     ^^
> Extra blank.

As previously discussed, it helps the full-command contents line up in 
the Messages buffer. "Running " is the same width as "Finished".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 16 Feb 2018 08:01:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 16 03:01:07 2018
Received: from localhost ([127.0.0.1]:45572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1emax9-00030Z-I1
	for submit <at> debbugs.gnu.org; Fri, 16 Feb 2018 03:01:07 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1emax7-0002tD-U2
 for 19045 <at> debbugs.gnu.org; Fri, 16 Feb 2018 03:01:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1emawz-0007Hi-Ku
 for 19045 <at> debbugs.gnu.org; Fri, 16 Feb 2018 03:01:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47128)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1emawz-0007Hd-H5; Fri, 16 Feb 2018 03:00:57 -0500
Received: from [176.228.60.248] (port=1655 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1emawz-0006On-3V; Fri, 16 Feb 2018 03:00:57 -0500
Date: Fri, 16 Feb 2018 10:00:55 +0200
Message-Id: <83r2ple53c.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87bmgpoqjr.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 16 Feb 2018 00:07:20 +0200)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
 <87607bunrz.fsf@HIDDEN>
 <52b6e1bb-5657-722f-eafe-73fc6c3a82a4@HIDDEN>
 <87r2pxvlah.fsf@HIDDEN>
 <d2b99140-16e0-43e4-32da-efcf679a79c8@HIDDEN>
 <87d11csg1u.fsf@HIDDEN>
 <2f104cc5-6629-b74c-4a9b-4d678d888841@HIDDEN>
 <87bmgpoqjr.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Juri Linkov <juri@HIDDEN>
> Date: Fri, 16 Feb 2018 00:07:20 +0200
> Cc: 19045 <at> debbugs.gnu.org
> 
> @@ -290,16 +290,12 @@ vc-do-command
>    (let* ((files
>  	  (mapcar (lambda (f) (file-relative-name (expand-file-name f)))
>  		  (if (listp file-or-list) file-or-list (list file-or-list))))
> +	 (message-truncate-lines t)

This should have a comment explaining why it is needed.  It should
also mention that messages in this function are formatted in a certain
way so as to put the important parts at the beginning, due to
potential truncation of long messages.

> -		  (message "Running %s in background..." full-command))
> +		  (message "Running  in background: %s" full-command))
                                   ^^
Extra blank.

> -		   (message "Running %s in background... done" full-command))))
> +		    (let ((message-truncate-lines t))
> +		      (message "Finished in background: %s" full-command)))))

I find the original more in line with what we do elsewhere in Emacs.
If the problem is that "done" could be truncated, then please use

  Done in background: %s

> -	      (error "Running %s...FAILED (%s)" full-command
> -		     (if (integerp status) (format "status %d" status) status)))
> +	      (error "Failed (%s): %s"
> +                     (if (integerp status) (format "status %d" status) status)
> +		     full-command))
>  	    (when vc-command-messages
> -	      (message "Running %s...OK = %d" full-command status))))
> +	      (message "Success (%d): %s" status full-command))))

"Failed" and "Success" don't go together well, as they use different
grammatical form.  How about using "Done" here as well?  And won't
status always be zero when it succeeds?  If not, I'd use

  Done (status=%d): %s

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 15 Feb 2018 22:32:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 15 17:32:54 2018
Received: from localhost ([127.0.0.1]:45283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1emS5G-00033L-CC
	for submit <at> debbugs.gnu.org; Thu, 15 Feb 2018 17:32:54 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:40694
 helo=homiemail-a101.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1emS5F-00033E-JL
 for 19045 <at> debbugs.gnu.org; Thu, 15 Feb 2018 17:32:54 -0500
Received: from homiemail-a101.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a101.g.dreamhost.com (Postfix) with ESMTP id C4D82117E06A;
 Thu, 15 Feb 2018 14:32:52 -0800 (PST)
Received: from localhost.linkov.net (m91-129-100-74.cust.tele2.ee
 [91.129.100.74])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a101.g.dreamhost.com (Postfix) with ESMTPSA id B17DF117E065;
 Thu, 15 Feb 2018 14:32:51 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
 <87607bunrz.fsf@HIDDEN>
 <52b6e1bb-5657-722f-eafe-73fc6c3a82a4@HIDDEN>
 <87r2pxvlah.fsf@HIDDEN>
 <d2b99140-16e0-43e4-32da-efcf679a79c8@HIDDEN>
 <87d11csg1u.fsf@HIDDEN>
 <2f104cc5-6629-b74c-4a9b-4d678d888841@HIDDEN>
Date: Fri, 16 Feb 2018 00:07:20 +0200
In-Reply-To: <2f104cc5-6629-b74c-4a9b-4d678d888841@HIDDEN> (Dmitry Gutov's
 message of "Mon, 12 Feb 2018 03:18:16 +0300")
Message-ID: <87bmgpoqjr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

>> "Running %s in foreground..."
>
> Same as with "background".
>
>> "Running %s...OK = %d"
>
> Success (status 0): ...
>
>> "Running %s...FAILED (%s)"
>
> Failed  (status 3): ...
>
> Something like that. If the exit code is longer than 1 digit (pretty rare),
> maybe remove the extra space after "Failed".

Like this?

diff --git a/lisp/vc/vc-dispatcher.el b/lisp/vc/vc-dispatcher.el
index b0d2221..c1de2f0 100644
--- a/lisp/vc/vc-dispatcher.el
+++ b/lisp/vc/vc-dispatcher.el
@@ -290,16 +290,12 @@ vc-do-command
   (let* ((files
 	  (mapcar (lambda (f) (file-relative-name (expand-file-name f)))
 		  (if (listp file-or-list) file-or-list (list file-or-list))))
+	 (message-truncate-lines t)
 	 (full-command
-	  ;; What we're doing here is preparing a version of the command
-	  ;; for display in a debug-progress message.  If it's fewer than
-	  ;; 20 characters display the entire command (without trailing
-	  ;; newline).  Otherwise display the first 20 followed by an ellipsis.
 	  (concat (if (string= (substring command -1) "\n")
 		      (substring command 0 -1)
 		    command)
-		  " "
-		  (vc-delistify (mapcar (lambda (s) (if (> (length s) 20) (concat (substring s 0 2) "...")  s)) flags))
+		  " " (vc-delistify flags)
 		  " " (vc-delistify files))))
     (save-current-buffer
       (unless (or (eq buffer t)
@@ -324,7 +320,7 @@ vc-do-command
 		       (apply 'start-file-process command (current-buffer)
                               command squeezed))))
 		(when vc-command-messages
-		  (message "Running %s in background..." full-command))
+		  (message "Running  in background: %s" full-command))
                 ;; Get rid of the default message insertion, in case we don't
                 ;; set a sentinel explicitly.
 		(set-process-sentinel proc #'ignore)
@@ -332,10 +328,11 @@ vc-do-command
 		(setq status proc)
 		(when vc-command-messages
 		  (vc-run-delayed
-		   (message "Running %s in background... done" full-command))))
+		    (let ((message-truncate-lines t))
+		      (message "Finished in background: %s" full-command)))))
 	    ;; Run synchronously
 	    (when vc-command-messages
-	      (message "Running %s in foreground..." full-command))
+	      (message "Running in foreground: %s" full-command))
 	    (let ((buffer-undo-list t))
 	      (setq status (apply 'process-file command nil t nil squeezed)))
 	    (when (and (not (eq t okstatus))
@@ -345,13 +342,14 @@ vc-do-command
                 (pop-to-buffer (current-buffer))
                 (goto-char (point-min))
                 (shrink-window-if-larger-than-buffer))
-	      (error "Running %s...FAILED (%s)" full-command
-		     (if (integerp status) (format "status %d" status) status)))
+	      (error "Failed (%s): %s"
+                     (if (integerp status) (format "status %d" status) status)
+		     full-command))
 	    (when vc-command-messages
-	      (message "Running %s...OK = %d" full-command status))))
+	      (message "Success (%d): %s" status full-command))))
 	(vc-run-delayed
-	 (run-hook-with-args 'vc-post-command-functions
-                             command file-or-list flags))
+	  (run-hook-with-args 'vc-post-command-functions
+			      command file-or-list flags))
 	status))))
 
 (defun vc-do-async-command (buffer root command &rest args)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 13 Feb 2018 05:40:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 13 00:40:47 2018
Received: from localhost ([127.0.0.1]:40366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1elTKh-0003Qp-Mm
	for submit <at> debbugs.gnu.org; Tue, 13 Feb 2018 00:40:47 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1elTKg-0003Qd-8L
 for 19045 <at> debbugs.gnu.org; Tue, 13 Feb 2018 00:40:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1elTKX-0001ss-RY
 for 19045 <at> debbugs.gnu.org; Tue, 13 Feb 2018 00:40:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35446)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1elTKX-0001so-NS; Tue, 13 Feb 2018 00:40:37 -0500
Received: from [176.228.60.248] (port=3413 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1elTKW-00037R-W3; Tue, 13 Feb 2018 00:40:37 -0500
Date: Tue, 13 Feb 2018 07:40:27 +0200
Message-Id: <83zi4dxx9w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87h8qlubb4.fsf@HIDDEN> (message from Juri Linkov on
 Mon, 12 Feb 2018 23:50:55 +0200)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <83fu692jdu.fsf@HIDDEN> <87lgg0sgbz.fsf@HIDDEN>
 <83bmgv1ol3.fsf@HIDDEN> <873727xxvf.fsf@HIDDEN>
 <8360731lr9.fsf@HIDDEN> <87d11bwfly.fsf@HIDDEN>
 <83y3jzz7hr.fsf@HIDDEN> <87vaf3cjbg.fsf@HIDDEN>
 <83bmguyt9w.fsf@HIDDEN> <87h8qlubb4.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, schwab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Juri Linkov <juri@HIDDEN>
> Cc: schwab@HIDDEN,  19045 <at> debbugs.gnu.org
> Date: Mon, 12 Feb 2018 23:50:55 +0200
> 
> > Even if it's true, it means --follow doesn't do any harm when invoked
> > on directories, and we shouldn't disallow that.
> 
> I don't know the reason why disallowing directories was implemented
> in the first place.  Maybe ‘git log --follow’ failed on directories
> in some older git versions?  Wouldn't it be safer to leave the code
> that checks for directories and doesn't add ‘--follow’ for this case?

Sorry, I was confused and thought that you also added the
non-directory restriction.  I agree that we should not modify the code
that checks for directories, certainly not on the release branch.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 12 Feb 2018 22:11:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 12 17:10:59 2018
Received: from localhost ([127.0.0.1]:40149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1elMJP-00047P-PU
	for submit <at> debbugs.gnu.org; Mon, 12 Feb 2018 17:10:59 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:50153
 helo=homiemail-a22.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1elMJO-00047H-6k
 for 19045 <at> debbugs.gnu.org; Mon, 12 Feb 2018 17:10:58 -0500
Received: from homiemail-a22.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a22.g.dreamhost.com (Postfix) with ESMTP id 6463311406A;
 Mon, 12 Feb 2018 14:10:57 -0800 (PST)
Received: from localhost.linkov.net (m91-129-100-74.cust.tele2.ee
 [91.129.100.74])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a22.g.dreamhost.com (Postfix) with ESMTPSA id 47413114068;
 Mon, 12 Feb 2018 14:10:56 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <83fu692jdu.fsf@HIDDEN> <87lgg0sgbz.fsf@HIDDEN>
 <83bmgv1ol3.fsf@HIDDEN> <873727xxvf.fsf@HIDDEN>
 <8360731lr9.fsf@HIDDEN> <87d11bwfly.fsf@HIDDEN>
 <83y3jzz7hr.fsf@HIDDEN> <87vaf3cjbg.fsf@HIDDEN>
 <83bmguyt9w.fsf@HIDDEN>
Date: Mon, 12 Feb 2018 23:50:55 +0200
In-Reply-To: <83bmguyt9w.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 12 Feb
 2018 20:09:15 +0200")
Message-ID: <87h8qlubb4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, schwab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

>> In the command line of git version 1.9.1 running git log on two files
>> (command line copied from *Messages* when vc-command-messages is t)
>>=20
>>   git --no-pager log --no-color --follow -n 2000 -- vc-dispatcher.el v=
c-git.el
>>=20
>> fails with the error:
>>=20
>>   usage: git logs can only follow renames on one pathname at a time
>>=20
>> whereas running git on one directory =E2=80=98vc=E2=80=99
>>=20
>>   git --no-pager log --no-color --follow -n 2000 -- vc
>>=20
>> doesn't fail.  Although I can't confirm the correctness of the output =
log:
>> it seems the option =E2=80=98--follow=E2=80=99 has no effect on direct=
ories.
>
> Even if it's true, it means --follow doesn't do any harm when invoked
> on directories, and we shouldn't disallow that.

I don't know the reason why disallowing directories was implemented
in the first place.  Maybe =E2=80=98git log --follow=E2=80=99 failed on d=
irectories
in some older git versions?  Wouldn't it be safer to leave the code
that checks for directories and doesn't add =E2=80=98--follow=E2=80=99 fo=
r this case?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 12 Feb 2018 18:09:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 12 13:09:37 2018
Received: from localhost ([127.0.0.1]:39990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1elIXp-000562-62
	for submit <at> debbugs.gnu.org; Mon, 12 Feb 2018 13:09:37 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1elIXn-00055p-Bc
 for 19045 <at> debbugs.gnu.org; Mon, 12 Feb 2018 13:09:35 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1elIXf-0003m1-18
 for 19045 <at> debbugs.gnu.org; Mon, 12 Feb 2018 13:09:30 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60238)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1elIXe-0003lq-U1; Mon, 12 Feb 2018 13:09:26 -0500
Received: from [176.228.60.248] (port=2870 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1elIXe-0004SW-8G; Mon, 12 Feb 2018 13:09:26 -0500
Date: Mon, 12 Feb 2018 20:09:15 +0200
Message-Id: <83bmguyt9w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87vaf3cjbg.fsf@HIDDEN> (message from Juri Linkov on
 Sun, 11 Feb 2018 23:22:59 +0200)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <83fu692jdu.fsf@HIDDEN> <87lgg0sgbz.fsf@HIDDEN>
 <83bmgv1ol3.fsf@HIDDEN> <873727xxvf.fsf@HIDDEN>
 <8360731lr9.fsf@HIDDEN> <87d11bwfly.fsf@HIDDEN>
 <83y3jzz7hr.fsf@HIDDEN> <87vaf3cjbg.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, schwab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Juri Linkov <juri@HIDDEN>
> Cc: Andreas Schwab <schwab@HIDDEN>,  19045 <at> debbugs.gnu.org
> Date: Sun, 11 Feb 2018 23:22:59 +0200
> 
> > Juri, can you please re-check with directories?  They seem to work
> > fine here, so disabling them in this case sounds unnecessary.
> 
> Please clarify where directories work fine: in git command line
> or in Emacs using vc-git?

The latter.

> 
> In the command line of git version 1.9.1 running git log on two files
> (command line copied from *Messages* when vc-command-messages is t)
> 
>   git --no-pager log --no-color --follow -n 2000 -- vc-dispatcher.el vc-git.el
> 
> fails with the error:
> 
>   usage: git logs can only follow renames on one pathname at a time
> 
> whereas running git on one directory ‘vc’
> 
>   git --no-pager log --no-color --follow -n 2000 -- vc
> 
> doesn't fail.  Although I can't confirm the correctness of the output log:
> it seems the option ‘--follow’ has no effect on directories.

Even if it's true, it means --follow doesn't do any harm when invoked
on directories, and we shouldn't disallow that.

> Now there is a different story for vc-git.el.  There are 4 versions of it:
> 
> 1. the initial version without the option added in ‘vc-git-print-log’
> 2. the old version that always used "--follow"
> 3. the previous version that added "--follow" only
>    when the arg ‘files’ contains no directories
> 4. the current version that additionally checks the length of ‘files’
>    and adds "--follow" only for a single file in ‘files’.
> 
> Which version did you check?

I tried #2.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 12 Feb 2018 00:18:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 11 19:18:27 2018
Received: from localhost ([127.0.0.1]:38750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1el1pD-0005FC-1U
	for submit <at> debbugs.gnu.org; Sun, 11 Feb 2018 19:18:27 -0500
Received: from mail-lf0-f45.google.com ([209.85.215.45]:44623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1el1pB-0005Ez-4f
 for 19045 <at> debbugs.gnu.org; Sun, 11 Feb 2018 19:18:25 -0500
Received: by mail-lf0-f45.google.com with SMTP id c188so2322702lfc.11
 for <19045 <at> debbugs.gnu.org>; Sun, 11 Feb 2018 16:18:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=0Tmocb/Zuw1CpnYnQGMvBux+WCRQt1IeoGfTO/LUoVY=;
 b=F/XqttsNlwhg7q+HB0UMFCjvrmKfGLGgwK6kgVorsdqAXK178iqoXqblb1f+TQ/oqb
 HPwG6CBVHukuVADSFCitoDqjzbbgbpbskwv5gw2BlF6Rs7PbF7ATFBQTu30Wn0B0zInP
 7aZDEMr7WEPaA+e8edRlWKZDqyd3xmpIAybU+U0/loE+xK/PjtDs7PYKo8dxp8f7Vzwh
 BgWCb/B5CQCuyS/up6vjyrV5tLrglHod0Nl6Wo9Ovc2tqG9OH+b91llk1HX8c5/dJh7g
 CeaKzuR1PDHl2sy/6xM3EAxEljcn5nub3LrwHivRT8h6IfrydnNG8f8P4VrOox/dkunM
 Ov/Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=0Tmocb/Zuw1CpnYnQGMvBux+WCRQt1IeoGfTO/LUoVY=;
 b=f0vxRLYAWQDNTzSW4n3pxMi3NwLMMD2syhglOR/OX2oNjCr/+ze5+lN0BGDq+ShktI
 cpAnkHpQomAL38lq3gmzzsOGLfBavSxGNoMmON8EDcrXXzAVCaHX4SfQYu3K4RCwQR7S
 +9TrF5DfmMIYNZqNUEt8eRfVK+JNxO3N5GbBujc1oI482tau5l8fD1sUucRM0k8NcZj1
 5LAGHoJEn+k+OlubRCXfY//wK4tY8MlZvnT91eCM1QvYuGwEqdEqMCNx2i2/xb/SoARQ
 24JxssvW7dh0XqbeGSweGTi0VxZs9jXo/ddoJpfGvHHlxoSpJAGnoWmexVaJOnXiYIsb
 xNkw==
X-Gm-Message-State: APf1xPCugpOT4aE0CJ3sl+YMz2CEnO7+W5+QzUK/r7Dm7uwsvEaVWKpP
 xSRALDuIBFQiXiiYkq0P5P1lKFV2
X-Google-Smtp-Source: AH8x2242VTLmekUtYskRVPSer8ky8pF+ZqxHKiljCkIWtcYSX9uwAGu0UX+ytmDhNz2dxd6UZYB0ug==
X-Received: by 10.25.33.203 with SMTP id h194mr3068511lfh.128.1518394699027;
 Sun, 11 Feb 2018 16:18:19 -0800 (PST)
Received: from [192.168.1.174] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id q24sm1479288lff.8.2018.02.11.16.18.17
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 11 Feb 2018 16:18:18 -0800 (PST)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
To: Juri Linkov <juri@HIDDEN>
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
 <87607bunrz.fsf@HIDDEN>
 <52b6e1bb-5657-722f-eafe-73fc6c3a82a4@HIDDEN>
 <87r2pxvlah.fsf@HIDDEN>
 <d2b99140-16e0-43e4-32da-efcf679a79c8@HIDDEN>
 <87d11csg1u.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <2f104cc5-6629-b74c-4a9b-4d678d888841@HIDDEN>
Date: Mon, 12 Feb 2018 03:18:16 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101
 Thunderbird/58.0
MIME-Version: 1.0
In-Reply-To: <87d11csg1u.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 2/11/18 12:14 AM,
 Juri Linkov wrote: > "Running %s in foreground..."
 Same as with "background". [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.45 listed in wl.mailspike.net]
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
 domains are different
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (dgutov[at]yandex.ru)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.215.45 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
 freemail headers are different
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2/11/18 12:14 AM, Juri Linkov wrote: > "Running %s in foreground..."
    Same as with "background". [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.45 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.215.45 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (raaahh[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different

On 2/11/18 12:14 AM, Juri Linkov wrote:

> "Running %s in foreground..."

Same as with "background".

> "Running %s...OK = %d"

Success (status 0): ...

> "Running %s...FAILED (%s)"

Failed  (status 3): ...

Something like that. If the exit code is longer than 1 digit (pretty 
rare), maybe remove the extra space after "Failed".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 11 Feb 2018 21:25:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 11 16:25:50 2018
Received: from localhost ([127.0.0.1]:38665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ekz89-0001Ml-6h
	for submit <at> debbugs.gnu.org; Sun, 11 Feb 2018 16:25:50 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:43172
 helo=homiemail-a100.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ekz87-0001Md-G9
 for 19045 <at> debbugs.gnu.org; Sun, 11 Feb 2018 16:25:47 -0500
Received: from homiemail-a100.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a100.g.dreamhost.com (Postfix) with ESMTP id 6D35A31A073;
 Sun, 11 Feb 2018 13:25:46 -0800 (PST)
Received: from localhost.linkov.net (m91-129-100-74.cust.tele2.ee
 [91.129.100.74])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a100.g.dreamhost.com (Postfix) with ESMTPSA id 4A5C531A070;
 Sun, 11 Feb 2018 13:25:45 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <83fu692jdu.fsf@HIDDEN> <87lgg0sgbz.fsf@HIDDEN>
 <83bmgv1ol3.fsf@HIDDEN> <873727xxvf.fsf@HIDDEN>
 <8360731lr9.fsf@HIDDEN> <87d11bwfly.fsf@HIDDEN>
 <83y3jzz7hr.fsf@HIDDEN>
Date: Sun, 11 Feb 2018 23:22:59 +0200
In-Reply-To: <83y3jzz7hr.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 11 Feb
 2018 20:49:52 +0200")
Message-ID: <87vaf3cjbg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, Andreas Schwab <schwab@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

> Juri, can you please re-check with directories?  They seem to work
> fine here, so disabling them in this case sounds unnecessary.

Please clarify where directories work fine: in git command line
or in Emacs using vc-git?

In the command line of git version 1.9.1 running git log on two files
(command line copied from *Messages* when vc-command-messages is t)

  git --no-pager log --no-color --follow -n 2000 -- vc-dispatcher.el vc-g=
it.el

fails with the error:

  usage: git logs can only follow renames on one pathname at a time

whereas running git on one directory =E2=80=98vc=E2=80=99

  git --no-pager log --no-color --follow -n 2000 -- vc

doesn't fail.  Although I can't confirm the correctness of the output log=
:
it seems the option =E2=80=98--follow=E2=80=99 has no effect on directori=
es.

Now there is a different story for vc-git.el.  There are 4 versions of it=
:

1. the initial version without the option added in =E2=80=98vc-git-print-=
log=E2=80=99
2. the old version that always used "--follow"
3. the previous version that added "--follow" only
   when the arg =E2=80=98files=E2=80=99 contains no directories
4. the current version that additionally checks the length of =E2=80=98fi=
les=E2=80=99
   and adds "--follow" only for a single file in =E2=80=98files=E2=80=99.

Which version did you check?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 11 Feb 2018 18:50:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 11 13:50:20 2018
Received: from localhost ([127.0.0.1]:38615 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ekwhf-0006Kw-P1
	for submit <at> debbugs.gnu.org; Sun, 11 Feb 2018 13:50:19 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51803)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ekwhe-0006Kk-Ap
 for 19045 <at> debbugs.gnu.org; Sun, 11 Feb 2018 13:50:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ekwhW-0004Q7-4J
 for 19045 <at> debbugs.gnu.org; Sun, 11 Feb 2018 13:50:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34650)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ekwhW-0004Pf-0R; Sun, 11 Feb 2018 13:50:10 -0500
Received: from [176.228.60.248] (port=1664 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ekwhU-0004Zm-O4; Sun, 11 Feb 2018 13:50:09 -0500
Date: Sun, 11 Feb 2018 20:49:52 +0200
Message-Id: <83y3jzz7hr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-reply-to: <87d11bwfly.fsf@HIDDEN> (message from Andreas Schwab on
 Sun, 11 Feb 2018 19:22:49 +0100)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <83fu692jdu.fsf@HIDDEN> <87lgg0sgbz.fsf@HIDDEN>
 <83bmgv1ol3.fsf@HIDDEN> <873727xxvf.fsf@HIDDEN>
 <8360731lr9.fsf@HIDDEN> <87d11bwfly.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Andreas Schwab <schwab@HIDDEN>
> Cc: juri@HIDDEN,  19045 <at> debbugs.gnu.org
> Date: Sun, 11 Feb 2018 19:22:49 +0100
> 
> On Feb 11 2018, Eli Zaretskii <eliz@HIDDEN> wrote:
> 
> > Thanks.  I see that marking several files indeed fails, but marking a
> > single directory does work.  Did that use to fail in Git 1.9?
> 
> I'm not aware of any change in the handling of --follow in connection
> with pathspecs.

OK, thanks.

Juri, can you please re-check with directories?  They seem to work
fine here, so disabling them in this case sounds unnecessary.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 11 Feb 2018 18:22:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 11 13:22:54 2018
Received: from localhost ([127.0.0.1]:38606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ekwH8-0005jR-9s
	for submit <at> debbugs.gnu.org; Sun, 11 Feb 2018 13:22:54 -0500
Received: from mail-out.m-online.net ([212.18.0.9]:54239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1ekwH7-0005jI-59
 for 19045 <at> debbugs.gnu.org; Sun, 11 Feb 2018 13:22:53 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 3zfcbv48hwz1qtdF;
 Sun, 11 Feb 2018 19:22:51 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 3zfcbv3DJHz1r2tn;
 Sun, 11 Feb 2018 19:22:51 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id jM3vyZsvlb6n; Sun, 11 Feb 2018 19:22:50 +0100 (CET)
X-Auth-Info: 4d6sTa9fHQ2GyWfn5hj2PAlYxzOk/BTc05AmhFV4JQgfBF9WlkLWkBrJKEwfEW9T
Received: from localhost (ppp-188-174-145-188.dynamic.mnet-online.de
 [188.174.145.188])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun, 11 Feb 2018 19:22:50 +0100 (CET)
Received: by localhost (Postfix, from userid 1000)
 id 8CA752C4765; Sun, 11 Feb 2018 19:22:49 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <83fu692jdu.fsf@HIDDEN> <87lgg0sgbz.fsf@HIDDEN>
 <83bmgv1ol3.fsf@HIDDEN> <873727xxvf.fsf@HIDDEN>
 <8360731lr9.fsf@HIDDEN>
X-Yow: I feel partially hydrogenated!
Date: Sun, 11 Feb 2018 19:22:49 +0100
In-Reply-To: <8360731lr9.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 11 Feb
 2018 19:25:46 +0200")
Message-ID: <87d11bwfly.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Feb 11 2018, Eli Zaretskii <eliz@HIDDEN> wrote:

> Thanks.  I see that marking several files indeed fails, but marking a
> single directory does work.  Did that use to fail in Git 1.9?

I'm not aware of any change in the handling of --follow in connection
with pathspecs.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 11 Feb 2018 17:26:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 11 12:26:12 2018
Received: from localhost ([127.0.0.1]:38560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ekvOG-0004OF-2u
	for submit <at> debbugs.gnu.org; Sun, 11 Feb 2018 12:26:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ekvOE-0004O2-Uf
 for 19045 <at> debbugs.gnu.org; Sun, 11 Feb 2018 12:26:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ekvO5-0003Bc-Gl
 for 19045 <at> debbugs.gnu.org; Sun, 11 Feb 2018 12:26:05 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57831)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ekvO5-0003B9-D8; Sun, 11 Feb 2018 12:26:01 -0500
Received: from [176.228.60.248] (port=1211 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ekvO4-0002pn-Kz; Sun, 11 Feb 2018 12:26:01 -0500
Date: Sun, 11 Feb 2018 19:25:46 +0200
Message-Id: <8360731lr9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-reply-to: <873727xxvf.fsf@HIDDEN> (message from Andreas Schwab on
 Sun, 11 Feb 2018 18:03:00 +0100)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <83fu692jdu.fsf@HIDDEN> <87lgg0sgbz.fsf@HIDDEN>
 <83bmgv1ol3.fsf@HIDDEN> <873727xxvf.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Andreas Schwab <schwab@HIDDEN>
> Cc: Juri Linkov <juri@HIDDEN>,  19045 <at> debbugs.gnu.org
> Date: Sun, 11 Feb 2018 18:03:00 +0100
> 
> On Feb 11 2018, Eli Zaretskii <eliz@HIDDEN> wrote:
> 
> > So I think we should disable multiple files only on old versions of
> > Git that don't support this.  Do we know which version started
> > supporting this?  And what about directories?
> 
> git log --follow still requires exactly one pathspec (but it can match
> multiple files).  A directory is a pathspec that matches all files in
> that directory (recursively).

Thanks.  I see that marking several files indeed fails, but marking a
single directory does work.  Did that use to fail in Git 1.9?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 11 Feb 2018 17:03:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 11 12:03:06 2018
Received: from localhost ([127.0.0.1]:38541 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ekv1u-0003rh-CZ
	for submit <at> debbugs.gnu.org; Sun, 11 Feb 2018 12:03:06 -0500
Received: from mail-out.m-online.net ([212.18.0.10]:58035)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1ekv1s-0003rY-Sq
 for 19045 <at> debbugs.gnu.org; Sun, 11 Feb 2018 12:03:05 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 3zfZqq45wYz1qvyy;
 Sun, 11 Feb 2018 18:03:03 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 3zfZqq316Dz1r2tl;
 Sun, 11 Feb 2018 18:03:03 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id J2_TF46JdBYP; Sun, 11 Feb 2018 18:03:02 +0100 (CET)
X-Auth-Info: GHDTG82PSoDkwBfFYqfycFI01orjiLfbt5I2ihfjxhV+t/hQlMpX/hKvwggmH1pF
Received: from localhost (ppp-188-174-145-188.dynamic.mnet-online.de
 [188.174.145.188])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun, 11 Feb 2018 18:03:02 +0100 (CET)
Received: by localhost (Postfix, from userid 1000)
 id 9B6812C475C; Sun, 11 Feb 2018 18:03:00 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <83fu692jdu.fsf@HIDDEN> <87lgg0sgbz.fsf@HIDDEN>
 <83bmgv1ol3.fsf@HIDDEN>
X-Yow: BEEP-BEEP!!  I'm a '49 STUDEBAKER!!
Date: Sun, 11 Feb 2018 18:03:00 +0100
In-Reply-To: <83bmgv1ol3.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 11 Feb
 2018 18:24:40 +0200")
Message-ID: <873727xxvf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Feb 11 2018, Eli Zaretskii <eliz@HIDDEN> wrote:

> So I think we should disable multiple files only on old versions of
> Git that don't support this.  Do we know which version started
> supporting this?  And what about directories?

git log --follow still requires exactly one pathspec (but it can match
multiple files).  A directory is a pathspec that matches all files in
that directory (recursively).

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 11 Feb 2018 16:25:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 11 11:25:09 2018
Received: from localhost ([127.0.0.1]:38520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ekuR9-0002ys-0c
	for submit <at> debbugs.gnu.org; Sun, 11 Feb 2018 11:25:07 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42255)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ekuR7-0002yM-3g
 for 19045 <at> debbugs.gnu.org; Sun, 11 Feb 2018 11:25:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ekuQx-00076T-8C
 for 19045 <at> debbugs.gnu.org; Sun, 11 Feb 2018 11:25:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53991)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ekuQx-00076E-35; Sun, 11 Feb 2018 11:24:55 -0500
Received: from [176.228.60.248] (port=1040 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ekuQw-0000dg-B0; Sun, 11 Feb 2018 11:24:54 -0500
Date: Sun, 11 Feb 2018 18:24:40 +0200
Message-Id: <83bmgv1ol3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87lgg0sgbz.fsf@HIDDEN> (message from Juri Linkov on
 Sat, 10 Feb 2018 23:08:32 +0200)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <83fu692jdu.fsf@HIDDEN> <87lgg0sgbz.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 19045 <at> debbugs.gnu.org
> Date: Sat, 10 Feb 2018 23:08:32 +0200
> 
> 0. emacs -Q
> 1. C-x d directory_under_Git_control
> 2. use customization or just (setq vc-git-print-log-follow t)
> 3. in Dired mark only one file
> 4. C-x v l   - works ok showing the log
> 5. mark a second file, so there are 2 marked files in Dired
> 6. C-x v l   - git fails with the following error message:
> 
>   “usage: git logs can only follow renames on one pathname at a time”
> 
> in git version 1.9.1

Thanks for the example, this works fine here with Git 2.10.0.

> So the fix was to check whether there is only one file given as an argument,
> and it is not a directory.

So I think we should disable multiple files only on old versions of
Git that don't support this.  Do we know which version started
supporting this?  And what about directories?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 10 Feb 2018 21:15:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 10 16:15:32 2018
Received: from localhost ([127.0.0.1]:37279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ekcUe-00046S-Nf
	for submit <at> debbugs.gnu.org; Sat, 10 Feb 2018 16:15:32 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:33660
 helo=homiemail-a101.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ekcUd-00046L-Ty
 for 19045 <at> debbugs.gnu.org; Sat, 10 Feb 2018 16:15:32 -0500
Received: from homiemail-a101.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a101.g.dreamhost.com (Postfix) with ESMTP id 46646117E06C;
 Sat, 10 Feb 2018 13:15:31 -0800 (PST)
Received: from localhost.linkov.net (m91-129-100-74.cust.tele2.ee
 [91.129.100.74])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a101.g.dreamhost.com (Postfix) with ESMTPSA id 5FFA8117E06A;
 Sat, 10 Feb 2018 13:15:30 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
 <87607bunrz.fsf@HIDDEN>
 <52b6e1bb-5657-722f-eafe-73fc6c3a82a4@HIDDEN>
 <87r2pxvlah.fsf@HIDDEN>
 <d2b99140-16e0-43e4-32da-efcf679a79c8@HIDDEN>
Date: Sat, 10 Feb 2018 23:14:37 +0200
Message-ID: <87d11csg1u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

>>> How about:
>>>
>>> Running in background: %s
>>>
>>> and
>>>
>>> Finished in background: %s
>>
>> Not bad, better would be to try to find words with the same length,
>> so the whole command won't jump 1 char to the right when finished.
>
> If we fail to find better wording, maybe add an extra space between
> "Running" and "in".

Yes, an extra space space will help.

In addition to these background messages, we also have to find
better wording for foreground messages as well:

"Running %s in foreground..."
"Running %s...OK = %d"
"Running %s...FAILED (%s)"

where additional argument is status.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 10 Feb 2018 21:13:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 10 16:13:06 2018
Received: from localhost ([127.0.0.1]:37274 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ekcSI-00042l-AX
	for submit <at> debbugs.gnu.org; Sat, 10 Feb 2018 16:13:06 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:35286
 helo=homiemail-a101.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ekcSG-00042d-K7
 for 19045 <at> debbugs.gnu.org; Sat, 10 Feb 2018 16:13:05 -0500
Received: from homiemail-a101.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a101.g.dreamhost.com (Postfix) with ESMTP id CC642117E06C;
 Sat, 10 Feb 2018 13:13:03 -0800 (PST)
Received: from localhost.linkov.net (m91-129-100-74.cust.tele2.ee
 [91.129.100.74])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a101.g.dreamhost.com (Postfix) with ESMTPSA id E805B117E06A;
 Sat, 10 Feb 2018 13:13:02 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <83fu692jdu.fsf@HIDDEN>
Date: Sat, 10 Feb 2018 23:08:32 +0200
In-Reply-To: <83fu692jdu.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 10 Feb
 2018 13:07:09 +0200")
Message-ID: <87lgg0sgbz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

>> @@ -1019,8 +1019,9 @@ If LIMIT is non-nil, show no more than this many=
 entries."
>>  	       (append
>>  		'("log" "--no-color")
>>                  (when (and vc-git-print-log-follow
>> -                           (not (cl-some #'file-directory-p files)))
>> -                  ;; "--follow" on directories is broken
>> +                           (null (cdr files))
>> +                           (not (file-directory-p (car files))))
>> +                  ;; "--follow" on directories or multiple files is b=
roken
>>                    ;; https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D=
8756
>>                    ;; https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D=
16422
>>                    (list "--follow"))
>
> What does this mean "is broken" in this context?  Is this a Git
> bug/misfeature, or is that vc-git.el problem?  I cannot figure out the
> answer by reading the cited bug reports.
>
> And the doc string doesn't sound detailed enough to me, as it doesn't
> tell enough about the commands that are affected.

When the argument =E2=80=98files=E2=80=99 contains more than one file, th=
en git fails
with the same error as when =E2=80=98files=E2=80=99 contains a directory =
(the case
that was previously handled by =E2=80=98cl-some #'file-directory-p=E2=80=99=
 above).

The detailed recipe for the previous version of vc-git.el is here:

0. emacs -Q
1. C-x d directory_under_Git_control
2. use customization or just (setq vc-git-print-log-follow t)
3. in Dired mark only one file
4. C-x v l   - works ok showing the log
5. mark a second file, so there are 2 marked files in Dired
6. C-x v l   - git fails with the following error message:

  =E2=80=9Cusage: git logs can only follow renames on one pathname at a t=
ime=E2=80=9D

in git version 1.9.1

So the fix was to check whether there is only one file given as an argume=
nt,
and it is not a directory.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 10 Feb 2018 11:07:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 10 06:07:39 2018
Received: from localhost ([127.0.0.1]:36119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ekT0N-0003g8-2I
	for submit <at> debbugs.gnu.org; Sat, 10 Feb 2018 06:07:39 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ekT0K-0003fu-RR
 for 19045 <at> debbugs.gnu.org; Sat, 10 Feb 2018 06:07:37 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ekT0A-0007T5-Re
 for 19045 <at> debbugs.gnu.org; Sat, 10 Feb 2018 06:07:31 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36793)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ekT0A-0007Sv-Ox; Sat, 10 Feb 2018 06:07:26 -0500
Received: from [176.228.60.248] (port=3486 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ekT0A-0006GE-5M; Sat, 10 Feb 2018 06:07:26 -0500
Date: Sat, 10 Feb 2018 13:07:09 +0200
Message-Id: <83fu692jdu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <874lmxloo1.fsf@HIDDEN> (message from Juri Linkov on
 Sat, 03 Feb 2018 23:59:58 +0200)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Juri Linkov <juri@HIDDEN>
> Date: Sat, 03 Feb 2018 23:59:58 +0200
> 
>  (defcustom vc-git-print-log-follow nil
> -  "If true, follow renames in Git logs for files."
> +  "If true, follow renames in Git logs for a single file."
>    :type 'boolean
>    :version "26.1")
>  
> @@ -1019,8 +1019,9 @@ If LIMIT is non-nil, show no more than this many entries."
>  	       (append
>  		'("log" "--no-color")
>                  (when (and vc-git-print-log-follow
> -                           (not (cl-some #'file-directory-p files)))
> -                  ;; "--follow" on directories is broken
> +                           (null (cdr files))
> +                           (not (file-directory-p (car files))))
> +                  ;; "--follow" on directories or multiple files is broken
>                    ;; https://debbugs.gnu.org/cgi/bugreport.cgi?bug=8756
>                    ;; https://debbugs.gnu.org/cgi/bugreport.cgi?bug=16422
>                    (list "--follow"))

What does this mean "is broken" in this context?  Is this a Git
bug/misfeature, or is that vc-git.el problem?  I cannot figure out the
answer by reading the cited bug reports.

And the doc string doesn't sound detailed enough to me, as it doesn't
tell enough about the commands that are affected.

Since this is now on the release branch, we should fix these issues
ASAP.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 9 Feb 2018 07:09:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 09 02:09:28 2018
Received: from localhost ([127.0.0.1]:34597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ek2oK-0004Np-MP
	for submit <at> debbugs.gnu.org; Fri, 09 Feb 2018 02:09:28 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ek2oI-0004Nc-Jz
 for 19045 <at> debbugs.gnu.org; Fri, 09 Feb 2018 02:09:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ek2o8-0001mR-Bb
 for 19045 <at> debbugs.gnu.org; Fri, 09 Feb 2018 02:09:21 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41623)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ek2o8-0001mJ-8X; Fri, 09 Feb 2018 02:09:16 -0500
Received: from [176.228.60.248] (port=1229 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ek2o7-0001SL-M2; Fri, 09 Feb 2018 02:09:16 -0500
Date: Fri, 09 Feb 2018 09:08:58 +0200
Message-Id: <83o9ky4p2t.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87bmgzuqlz.fsf@HIDDEN> (message from Juri Linkov on
 Thu, 08 Feb 2018 23:09:04 +0200)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN> <83fu6g860d.fsf@HIDDEN>
 <87bmh3w2z1.fsf@HIDDEN> <83vafa7plz.fsf@HIDDEN>
 <877erpygmb.fsf@HIDDEN> <831shv5vf6.fsf@HIDDEN>
 <87bmgzuqlz.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 19045 <at> debbugs.gnu.org
> Date: Thu, 08 Feb 2018 23:09:04 +0200
> 
> >> I created a patch below that let-binds resize-mini-windows to nil,
> >> but it has no effect and always resizes the echo area.
> >> Should I create a separate bug report for this?
> >
> > No, it's not a bug.  Sorry, I forgot how this feature works: this
> > variable cannot be let-bound.
> 
> Then is it ok to install the patch that uses message-truncate-lines?
> (to master, of course)

Yes, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 8 Feb 2018 22:08:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 08 17:08:13 2018
Received: from localhost ([127.0.0.1]:34432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejuMX-0007mB-4u
	for submit <at> debbugs.gnu.org; Thu, 08 Feb 2018 17:08:13 -0500
Received: from mail-lf0-f54.google.com ([209.85.215.54]:33233)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1ejuMV-0007lz-SW
 for 19045 <at> debbugs.gnu.org; Thu, 08 Feb 2018 17:08:12 -0500
Received: by mail-lf0-f54.google.com with SMTP id t139so8549350lff.0
 for <19045 <at> debbugs.gnu.org>; Thu, 08 Feb 2018 14:08:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=8ZrQ818uFOfKNmZbT9gmlSk0uQE5C8Mm+cXUYkijsNE=;
 b=h6aLuSiWQUxWzZsBQu/h7Y/zlN8VARklFpnoWP74S8cVSlk4Bp/zHCCCAKY7fbB57d
 XTa2d9mbYlWBKRu4cEzUZvcJBe/9qso1dwtkDuZ3lwk0g1I+QfrwBDCKC4cMBv3w/2qo
 xg1oWOIOw3HsxUA276dZ+bIX8/TVU0S5FqXH0OBZ+r+SJ+WHitS+iM0haNYkV1OgEhDJ
 17QbhRCyvIl+UQBj5qwaKNB9Okya0V1GGDMocFy6Mh1H5hheI3HRq70I06lXVHFUyyXA
 /cRSpz9UNZ0sneqVA8ao5h1PhHBDgqu0NZeeJKxOJG5kra+yZFoXm5rLT2iVS4e0oiTf
 c/kQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=8ZrQ818uFOfKNmZbT9gmlSk0uQE5C8Mm+cXUYkijsNE=;
 b=s0oilFggD0dveMk6FADoUwRxEwDdyCVrSvQTcHbOQQQgs+yyjs89MLHxflZvZC31ML
 CYdQSAJDDU0TaVHqMUCDqPas8BrvSQXvhP7Bc/Bld1wLlgcyEsXLzeRDY9RjBndXeegi
 pMfOVSm9dzYzeFhhFP9tEkCe8Nx0ajOdJ8dmJQJHPb6BRy4c2VRKrVM5h9se0o5k/F+r
 JVKiBqwwy1SjaiwwdEj9sTfLCoA5Cn1hi9FuVzEWottd1rniTMWCHr8A9vQuqAdY86M/
 GbNlbdpEGmPLSfzFWcehtt+MtWAPZsH6G5Uy9iOZU9Jd4shE1cHuyQrI7+edbkr2TXCY
 /lMA==
X-Gm-Message-State: APf1xPBfe75cNILHmja4wxHV8VEwI3WEdpLojrec9pO5zllMdLcqlNmz
 xOf7M/n76Leio2lTl+vMORSjxM+J
X-Google-Smtp-Source: AH8x226NUMFzczYJTEoUBqPIGODmVXGVNDMf8Qjx8LLjLQ25zMGRXoHohwg4NEUbZHxzP0+dHVJy9A==
X-Received: by 10.46.122.22 with SMTP id v22mr383262ljc.45.1518127685551;
 Thu, 08 Feb 2018 14:08:05 -0800 (PST)
Received: from [192.168.1.190] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id c123sm177598lfc.94.2018.02.08.14.08.03
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 08 Feb 2018 14:08:04 -0800 (PST)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
To: Juri Linkov <juri@HIDDEN>
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
 <87607bunrz.fsf@HIDDEN>
 <52b6e1bb-5657-722f-eafe-73fc6c3a82a4@HIDDEN>
 <87r2pxvlah.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <d2b99140-16e0-43e4-32da-efcf679a79c8@HIDDEN>
Date: Fri, 9 Feb 2018 01:08:03 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101
 Thunderbird/58.0
MIME-Version: 1.0
In-Reply-To: <87r2pxvlah.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 2/7/18 00:51,
 Juri Linkov wrote: >> How about: >> >> Running
 in background: %s >> >> and >> >> Finished in background: %s > > Not bad,
 better would be to try to find words with the same length, > so the whole
 command won't jump 1 char to the right when finished. [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
 domains are different
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (dgutov[at]yandex.ru)
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.54 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.215.54 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
 freemail headers are different
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2/7/18 00:51, Juri Linkov wrote: >> How about: >> >> Running
    in background: %s >> >> and >> >> Finished in background: %s > > Not bad,
    better would be to try to find words with the same length, > so the whole
    command won't jump 1 char to the right when finished. [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.215.54 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.54 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (raaahh[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different

On 2/7/18 00:51, Juri Linkov wrote:

>> How about:
>>
>> Running in background: %s
>>
>> and
>>
>> Finished in background: %s
> 
> Not bad, better would be to try to find words with the same length,
> so the whole command won't jump 1 char to the right when finished.

If we fail to find better wording, maybe add an extra space between 
"Running" and "in".

> message-truncate-lines works fine whereas resize-mini-windows doesn't.
> Maybe the fact that it runs processes has its effect on resizing.

If it works (and doesn't affect the contents of *Messages*, which was 
the goal), great. That's all we need.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 8 Feb 2018 21:38:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 08 16:38:16 2018
Received: from localhost ([127.0.0.1]:34353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejttY-0006wX-25
	for submit <at> debbugs.gnu.org; Thu, 08 Feb 2018 16:38:16 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:45719
 helo=homiemail-a23.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ejttW-0006wP-8F
 for 19045 <at> debbugs.gnu.org; Thu, 08 Feb 2018 16:38:14 -0500
Received: from homiemail-a23.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a23.g.dreamhost.com (Postfix) with ESMTP id 34BD34B0089;
 Thu,  8 Feb 2018 13:38:13 -0800 (PST)
Received: from localhost.linkov.net (m91-129-111-42.cust.tele2.ee
 [91.129.111.42])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a23.g.dreamhost.com (Postfix) with ESMTPSA id 4A5634B007C;
 Thu,  8 Feb 2018 13:38:12 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN> <83fu6g860d.fsf@HIDDEN>
 <87bmh3w2z1.fsf@HIDDEN> <83vafa7plz.fsf@HIDDEN>
 <877erpygmb.fsf@HIDDEN> <831shv5vf6.fsf@HIDDEN>
Date: Thu, 08 Feb 2018 23:09:04 +0200
In-Reply-To: <831shv5vf6.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 08 Feb
 2018 17:54:21 +0200")
Message-ID: <87bmgzuqlz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

>> I created a patch below that let-binds resize-mini-windows to nil,
>> but it has no effect and always resizes the echo area.
>> Should I create a separate bug report for this?
>
> No, it's not a bug.  Sorry, I forgot how this feature works: this
> variable cannot be let-bound.

Then is it ok to install the patch that uses message-truncate-lines?
(to master, of course)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 8 Feb 2018 15:54:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 08 10:54:32 2018
Received: from localhost ([127.0.0.1]:34214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejoWu-0005Xv-MJ
	for submit <at> debbugs.gnu.org; Thu, 08 Feb 2018 10:54:32 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37957)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ejoWs-0005Xi-Pw
 for 19045 <at> debbugs.gnu.org; Thu, 08 Feb 2018 10:54:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ejoWk-0005u2-9L
 for 19045 <at> debbugs.gnu.org; Thu, 08 Feb 2018 10:54:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57660)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ejoWk-0005tu-5m; Thu, 08 Feb 2018 10:54:22 -0500
Received: from [176.228.60.248] (port=3468 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ejoWj-00053C-Jo; Thu, 08 Feb 2018 10:54:22 -0500
Date: Thu, 08 Feb 2018 17:54:21 +0200
Message-Id: <831shv5vf6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <877erpygmb.fsf@HIDDEN> (message from Juri Linkov on
 Tue, 06 Feb 2018 23:04:28 +0200)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN> <83fu6g860d.fsf@HIDDEN>
 <87bmh3w2z1.fsf@HIDDEN> <83vafa7plz.fsf@HIDDEN>
 <877erpygmb.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 19045 <at> debbugs.gnu.org
> Date: Tue, 06 Feb 2018 23:04:28 +0200
> 
> I created a patch below that let-binds resize-mini-windows to nil,
> but it has no effect and always resizes the echo area.
> Should I create a separate bug report for this?

No, it's not a bug.  Sorry, I forgot how this feature works: this
variable cannot be let-bound.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 6 Feb 2018 21:52:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 16:52:30 2018
Received: from localhost ([127.0.0.1]:60649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejBAE-0005Ln-8l
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:52:30 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:41900
 helo=homiemail-a20.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ejBAD-0005Lf-4p
 for 19045 <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:52:29 -0500
Received: from homiemail-a20.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a20.g.dreamhost.com (Postfix) with ESMTP id 3666E7EC064;
 Tue,  6 Feb 2018 13:52:28 -0800 (PST)
Received: from localhost.linkov.net (m91-129-107-8.cust.tele2.ee
 [91.129.107.8])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a20.g.dreamhost.com (Postfix) with ESMTPSA id 4A0687EC061;
 Tue,  6 Feb 2018 13:52:26 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
 <87607bunrz.fsf@HIDDEN>
 <52b6e1bb-5657-722f-eafe-73fc6c3a82a4@HIDDEN>
Date: Tue, 06 Feb 2018 23:51:50 +0200
In-Reply-To: <52b6e1bb-5657-722f-eafe-73fc6c3a82a4@HIDDEN> (Dmitry Gutov's
 message of "Tue, 6 Feb 2018 23:46:43 +0300")
Message-ID: <87r2pxvlah.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

>>> The 20 characters limit seems arbitrary, we just need to avoid resizing the
>>> echo area. And if the "in background... done" part being truncated is
>>> a worry, we can rephrase them to go at the beginning of the sentence.
>>
>> Indeed, truncating "in background... done" is not nice, and I have
>> no idea how to rephrase it.
>
> How about:
>
> Running in background: %s
>
> and
>
> Finished in background: %s

Not bad, better would be to try to find words with the same length,
so the whole command won't jump 1 char to the right when finished.

>> Anyway, this is the current patch to try:
>
> Does it work like you wanted? According to Eli, we should replace
> message-truncate-lines here with resize-mini-windows.

message-truncate-lines works fine whereas resize-mini-windows doesn't.
Maybe the fact that it runs processes has its effect on resizing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 6 Feb 2018 21:07:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 16:07:01 2018
Received: from localhost ([127.0.0.1]:60581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejASD-0004CM-1n
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:07:01 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:50778
 helo=homiemail-a20.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ejASB-0004CE-N7
 for 19045 <at> debbugs.gnu.org; Tue, 06 Feb 2018 16:07:00 -0500
Received: from homiemail-a20.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a20.g.dreamhost.com (Postfix) with ESMTP id D8D367EC07B;
 Tue,  6 Feb 2018 13:06:58 -0800 (PST)
Received: from localhost.linkov.net (m91-129-107-8.cust.tele2.ee
 [91.129.107.8])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a20.g.dreamhost.com (Postfix) with ESMTPSA id 02B3E7EC076;
 Tue,  6 Feb 2018 13:06:57 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN> <83fu6g860d.fsf@HIDDEN>
 <87bmh3w2z1.fsf@HIDDEN> <83vafa7plz.fsf@HIDDEN>
Date: Tue, 06 Feb 2018 23:04:28 +0200
In-Reply-To: <83vafa7plz.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 06 Feb
 2018 05:40:08 +0200")
Message-ID: <877erpygmb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

> Would binding resize-mini-windows to nil instead fix that?  If it
> would, then I think it's a better way, because it doesn't affect what
> is being recorded in *Messages*.

I created a patch below that let-binds resize-mini-windows to nil,
but it has no effect and always resizes the echo area.
Should I create a separate bug report for this?

Also there is still a problem of hiding the trailing part with
=E2=80=9Cin background... done=E2=80=9D when it is not displayed at the e=
nd of
the message, and I have no idea how to reformulate this phrase.

diff --git a/lisp/vc/vc-dispatcher.el b/lisp/vc/vc-dispatcher.el
index b0d2221..a3d8e3d 100644
--- a/lisp/vc/vc-dispatcher.el
+++ b/lisp/vc/vc-dispatcher.el
@@ -290,16 +290,12 @@ vc-do-command
   (let* ((files
 	  (mapcar (lambda (f) (file-relative-name (expand-file-name f)))
 		  (if (listp file-or-list) file-or-list (list file-or-list))))
+	 (resize-mini-windows nil)
 	 (full-command
-	  ;; What we're doing here is preparing a version of the command
-	  ;; for display in a debug-progress message.  If it's fewer than
-	  ;; 20 characters display the entire command (without trailing
-	  ;; newline).  Otherwise display the first 20 followed by an ellipsis.
 	  (concat (if (string=3D (substring command -1) "\n")
 		      (substring command 0 -1)
 		    command)
-		  " "
-		  (vc-delistify (mapcar (lambda (s) (if (> (length s) 20) (concat (sub=
string s 0 2) "...")  s)) flags))
+		  " " (vc-delistify flags)
 		  " " (vc-delistify files))))
     (save-current-buffer
       (unless (or (eq buffer t)
@@ -332,7 +328,8 @@ vc-do-command
 		(setq status proc)
 		(when vc-command-messages
 		  (vc-run-delayed
-		   (message "Running %s in background... done" full-command))))
+		    (let ((resize-mini-windows nil))
+		      (message "Running %s in background... done" full-command)))))
 	    ;; Run synchronously
 	    (when vc-command-messages
 	      (message "Running %s in foreground..." full-command))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 6 Feb 2018 20:46:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 06 15:46:54 2018
Received: from localhost ([127.0.0.1]:60577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ejA8k-0003je-9h
	for submit <at> debbugs.gnu.org; Tue, 06 Feb 2018 15:46:54 -0500
Received: from mail-lf0-f44.google.com ([209.85.215.44]:43232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1ejA8h-0003jP-J8
 for 19045 <at> debbugs.gnu.org; Tue, 06 Feb 2018 15:46:53 -0500
Received: by mail-lf0-f44.google.com with SMTP id o89so4652456lfg.10
 for <19045 <at> debbugs.gnu.org>; Tue, 06 Feb 2018 12:46:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=piR6tG6rU1Tht6NgC4Trrbx7Wca9TSQ75v18qyrsxC0=;
 b=KNFqt9Vnzje1dhNxV8RoZNfXo4Z6WnvH0aIG7qL1M2qYhuedLtaelE+BA0YmWcKIwL
 honnMuqCtpvtGNLH4DKEGzG01F1bPlmiVCioZosOD6b8lGki0UJoJQv6RkD/mrQhIGyG
 U1kFexiCXxRrrJj/NIkC7qCnNWhbTOiVbDJ1pDPhPty8LczcEgjVk1aO4N9pX0xFO0mm
 fRfETo2pKVIogjI7jNvKV9DWTc6xYncKSiBtz3t8fF4iLSIb8v3p7NnIwpimEWKRlPj2
 d8ohmXcpDL/6JIvS6vtFsvz+gRYyXHyhwq8YkJEEOQFHEg6yuzlsTh5OfCP0ucCPzU4R
 cnbQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=piR6tG6rU1Tht6NgC4Trrbx7Wca9TSQ75v18qyrsxC0=;
 b=r3cgUiPgC8D+1k+l07TrF5XupxWYJxWzLoqxKcylwcT3sal+MsmdUEZsj/adzVrZO5
 e8xpjvL+R6y2eWIyTUJjCANuB+tfOYyCQf3CBV25dGNeednxUVIqaUjkx3GcxA2QYlOF
 +ECQ+qQR9ZIEkKYrdkqCu84kIMk76TRh4LgmgCgmNqCpxucEMqjBIjy06UMRazkqiYRR
 hZGutwbdlDjSDux5A/O00CLwoukSVp/smh7ZppHegrA34athviqZGg4lHQGVkio9Img1
 B7LXb0+MKRqKKofisQ0pOWrDz2M940jP++rflcIEnk1dvRnuvJohTzpWHxFtxfO3N05Q
 3a4g==
X-Gm-Message-State: APf1xPAB3wKIKvje9ThZqeX/W4S6BOER1AWKaGCCehta89ug8QFgslQh
 X8lcafVDCTBIOQpEF0i7jEMGLbI5
X-Google-Smtp-Source: AH8x225kSnRNyaRaCf+/DvbNoRX9/VT8wyYBER48oXdMBmjFKkyxJ6wihnv+sm1+bQawosnhY0jTUQ==
X-Received: by 10.46.95.74 with SMTP id t71mr2564158ljb.59.1517950004924;
 Tue, 06 Feb 2018 12:46:44 -0800 (PST)
Received: from [192.168.1.190] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id 39sm2044482ljb.86.2018.02.06.12.46.43
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 06 Feb 2018 12:46:44 -0800 (PST)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
To: Juri Linkov <juri@HIDDEN>
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
 <87607bunrz.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <52b6e1bb-5657-722f-eafe-73fc6c3a82a4@HIDDEN>
Date: Tue, 6 Feb 2018 23:46:43 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101
 Thunderbird/58.0
MIME-Version: 1.0
In-Reply-To: <87607bunrz.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 2/6/18 00:31,
 Juri Linkov wrote: >> Could we use message-truncate-lines
 and just one message call instead? > > Maybe. But currently what is truncated
 is not the whole command line, > but each of the command switches. I don't
 know how important this is. [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
 domains are different
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (dgutov[at]yandex.ru)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.215.44 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.44 listed in wl.mailspike.net]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
 freemail headers are different
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2/6/18 00:31, Juri Linkov wrote: >> Could we use message-truncate-lines
    and just one message call instead? > > Maybe. But currently what is truncated
    is not the whole command line, > but each of the command switches. I don't
    know how important this is. [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.44 listed in wl.mailspike.net]
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.215.44 listed in list.dnswl.org]
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (raaahh[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

On 2/6/18 00:31, Juri Linkov wrote:
>> Could we use message-truncate-lines and just one message call instead?
> 
> Maybe.  But currently what is truncated is not the whole command line,
> but each of the command switches.  I don't know how important this is.

Apparently the idea is that "in background... done" is shown in the echo 
area regardless of the command string length.

>> The 20 characters limit seems arbitrary, we just need to avoid resizing the
>> echo area. And if the "in background... done" part being truncated is
>> a worry, we can rephrase them to go at the beginning of the sentence.
> 
> Indeed, truncating "in background... done" is not nice, and I have
> no idea how to rephrase it.

How about:

Running in background: %s

and

Finished in background: %s

> Anyway, this is the current patch to try:

Does it work like you wanted? According to Eli, we should replace 
message-truncate-lines here with resize-mini-windows.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 6 Feb 2018 03:40:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 22:40:26 2018
Received: from localhost ([127.0.0.1]:59365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiu7O-00029C-AT
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 22:40:26 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eiu7M-00028x-J1
 for 19045 <at> debbugs.gnu.org; Mon, 05 Feb 2018 22:40:24 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eiu7D-0005IF-46
 for 19045 <at> debbugs.gnu.org; Mon, 05 Feb 2018 22:40:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34949)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eiu7D-0005I9-0s; Mon, 05 Feb 2018 22:40:15 -0500
Received: from [176.228.60.248] (port=4764 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eiu7C-0001lX-FL; Mon, 05 Feb 2018 22:40:14 -0500
Date: Tue, 06 Feb 2018 05:40:08 +0200
Message-Id: <83vafa7plz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87bmh3w2z1.fsf@HIDDEN> (message from Juri Linkov on
 Mon, 05 Feb 2018 23:17:38 +0200)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN> <83fu6g860d.fsf@HIDDEN>
 <87bmh3w2z1.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> > Please don't push anything to the release branch without John's or
> > mine explicit approval.  As things are, I'm very busy these days, and
> > didn't yet have time to review the patch thoroughly, so I'm not sure
> > I'm happy with its being pushed.
> 
> Sorry, will wait more time the next time.

Thanks in advance.

> >> +        (let ((inhibit-message t))
> >> +          (message "Running %s %s" command (vc-delistify squeezed)))
> >>  	(let (;; Since some functions need to parse the output
> >>  	      ;; from external commands, set LC_MESSAGES to C.
> >>  	      (process-environment (cons "LC_MESSAGES=C" process-environment))
> >
> > I don't understand why would we want to hard-code the fact that these
> > commands are not shown in the echo area.
> 
> I don't want to cause more flicker in the echo area when the full command
> gets overwritten immediately by the truncated command in the echo area. 

Would binding resize-mini-windows to nil instead fix that?  If it
would, then I think it's a better way, because it doesn't affect what
is being recorded in *Messages*.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 5 Feb 2018 21:35:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 16:35:54 2018
Received: from localhost ([127.0.0.1]:59103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eioQc-0006Qs-EB
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 16:35:54 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:42280
 helo=homiemail-a20.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1eioQZ-0006Qj-OM
 for 19045 <at> debbugs.gnu.org; Mon, 05 Feb 2018 16:35:51 -0500
Received: from homiemail-a20.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a20.g.dreamhost.com (Postfix) with ESMTP id 466A87EC064;
 Mon,  5 Feb 2018 13:35:51 -0800 (PST)
Received: from localhost.linkov.net (m91-129-107-8.cust.tele2.ee
 [91.129.107.8])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a20.g.dreamhost.com (Postfix) with ESMTPSA id 6E86D7EC063;
 Mon,  5 Feb 2018 13:35:50 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
Date: Mon, 05 Feb 2018 23:31:12 +0200
In-Reply-To: <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN> (Dmitry Gutov's
 message of "Mon, 5 Feb 2018 02:31:14 +0300")
Message-ID: <87607bunrz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

> Could we use message-truncate-lines and just one message call instead?

Maybe.  But currently what is truncated is not the whole command line,
but each of the command switches.  I don't know how important this is.

> The 20 characters limit seems arbitrary, we just need to avoid resizing the
> echo area. And if the "in background... done" part being truncated is
> a worry, we can rephrase them to go at the beginning of the sentence.

Indeed, truncating "in background... done" is not nice, and I have
no idea how to rephrase it.

Anyway, this is the current patch to try:

diff --git a/lisp/vc/vc-dispatcher.el b/lisp/vc/vc-dispatcher.el
index b0d2221..21f2b98 100644
--- a/lisp/vc/vc-dispatcher.el
+++ b/lisp/vc/vc-dispatcher.el
@@ -290,16 +290,12 @@ vc-do-command
   (let* ((files
 	  (mapcar (lambda (f) (file-relative-name (expand-file-name f)))
 		  (if (listp file-or-list) file-or-list (list file-or-list))))
+	 (message-truncate-lines t)
 	 (full-command
-	  ;; What we're doing here is preparing a version of the command
-	  ;; for display in a debug-progress message.  If it's fewer than
-	  ;; 20 characters display the entire command (without trailing
-	  ;; newline).  Otherwise display the first 20 followed by an ellipsis.
 	  (concat (if (string= (substring command -1) "\n")
 		      (substring command 0 -1)
 		    command)
-		  " "
-		  (vc-delistify (mapcar (lambda (s) (if (> (length s) 20) (concat (substring s 0 2) "...")  s)) flags))
+		  " " (vc-delistify flags)
 		  " " (vc-delistify files))))
     (save-current-buffer
       (unless (or (eq buffer t)
@@ -332,7 +328,8 @@ vc-do-command
 		(setq status proc)
 		(when vc-command-messages
 		  (vc-run-delayed
-		   (message "Running %s in background... done" full-command))))
+		    (let ((message-truncate-lines t))
+		      (message "Running %s in background... done" full-command)))))
 	    ;; Run synchronously
 	    (when vc-command-messages
 	      (message "Running %s in foreground..." full-command))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 5 Feb 2018 21:35:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 16:35:50 2018
Received: from localhost ([127.0.0.1]:59100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eioQY-0006Qb-5G
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 16:35:50 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:42276
 helo=homiemail-a20.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1eioQW-0006QT-7M
 for 19045 <at> debbugs.gnu.org; Mon, 05 Feb 2018 16:35:48 -0500
Received: from homiemail-a20.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a20.g.dreamhost.com (Postfix) with ESMTP id AD06A7EC064;
 Mon,  5 Feb 2018 13:35:47 -0800 (PST)
Received: from localhost.linkov.net (m91-129-107-8.cust.tele2.ee
 [91.129.107.8])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a20.g.dreamhost.com (Postfix) with ESMTPSA id DB49A7EC063;
 Mon,  5 Feb 2018 13:35:46 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN> <83fu6g860d.fsf@HIDDEN>
Date: Mon, 05 Feb 2018 23:17:38 +0200
In-Reply-To: <83fu6g860d.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 05 Feb
 2018 05:33:38 +0200")
Message-ID: <87bmh3w2z1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

>> > Too bad that a new useful customizable variable
>> > vc-git-print-log-follow is not mentioned in NEWS.26.
>> >
>> > It works quite well, but only with the following fix
>> > that puts more restrictions - it checks not only
>> > for a directory, but also if it is a single file.
>> >
>> > The whole patch is intended for the emacs-26 branch:
>> 
>> Pushed to the emacs-26 branch.
>
> Please don't push anything to the release branch without John's or
> mine explicit approval.  As things are, I'm very busy these days, and
> didn't yet have time to review the patch thoroughly, so I'm not sure
> I'm happy with its being pushed.

Sorry, will wait more time the next time.

>> diff --git a/lisp/vc/vc-dispatcher.el b/lisp/vc/vc-dispatcher.el
>> index b0d2221..efdd29e 100644
>> --- a/lisp/vc/vc-dispatcher.el
>> +++ b/lisp/vc/vc-dispatcher.el
>> @@ -313,6 +313,8 @@ vc-do-command
>>  	    (status 0))
>>  	(when files
>>  	  (setq squeezed (nconc squeezed files)))
>> +        (let ((inhibit-message t))
>> +          (message "Running %s %s" command (vc-delistify squeezed)))
>>  	(let (;; Since some functions need to parse the output
>>  	      ;; from external commands, set LC_MESSAGES to C.
>>  	      (process-environment (cons "LC_MESSAGES=C" process-environment))
>
> I don't understand why would we want to hard-code the fact that these
> commands are not shown in the echo area.

I don't want to cause more flicker in the echo area when the full command
gets overwritten immediately by the truncated command in the echo area. 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 5 Feb 2018 20:12:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 15:12:10 2018
Received: from localhost ([127.0.0.1]:59046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ein7a-0004UC-DQ
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 15:12:10 -0500
Received: from mail-oi0-f49.google.com ([209.85.218.49]:39224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1ein7Y-0004Tw-HJ
 for 19045 <at> debbugs.gnu.org; Mon, 05 Feb 2018 15:12:08 -0500
Received: by mail-oi0-f49.google.com with SMTP id j188so20709716oib.6
 for <19045 <at> debbugs.gnu.org>; Mon, 05 Feb 2018 12:12:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=pcTNN9DjvicAXBRNnjiMK78/6I1B+d5vGJZCBzdv6yc=;
 b=fZLu/e4wWFymJUFNbVUDTOrxr3JypY3obIzRs5rv4qq5wb78wV6I7R6zW9vUbMdidi
 ibYTpRlA9mJyBEDgR462WJK7QkoesssdGPXEFUsRHitkAgpgOjWPgQPuoH9mZ6XNsD3w
 XCRHzHKgqLa/rXsVliejOELa4WUCtQmkBRT4VIxbC/iYzcxSueXsJjy3zKCeW9hhK38X
 NACNpLsU7NYAAC+aREryM+xdoAath8ohMkDdsFTi4ap9aMTblSFKC71Vq+NWfq8PIygr
 7iqp0fyeSNVNoJC7WSzmsqjAAWCBcPx7HiX+xgRhHd7ZdqTZMbo0Cf7qZaozfNDJZr6D
 RZfw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=pcTNN9DjvicAXBRNnjiMK78/6I1B+d5vGJZCBzdv6yc=;
 b=m+aqqF6NsFtIDHWrKUnwuwSD6UhJ17v1S1azeDA1hYNo30dvRGQHgf4vScrKWjwFtP
 Mh+ntTPTw58nvzib9S2ypgQDXTCXyYMNDJI/3qKUGBhLRFGRDCIuA3wekznRb8JUlHUq
 djSJZq7pFFoFxR8f1uxLteJeMDIvl8XoLgFebZsQz5J7WCtR/DSeTppqMfvGnAYTkFNe
 hZADQBp5/wChzAe8Km3vNHiyEC1ILUo5Q523/i0vfPO+u0ymDeHTKl/BvWrejZcM/kaa
 wjMqOf2+M2/i8H/JsJ8inZfCvSQ8iA7Lj1kj2pE2OmrdySbekH+fMd/iHFnwCrZm1ju0
 xr1g==
X-Gm-Message-State: AKwxytd5R3yobo6p9cD2cZGWH0qqShnEJvEuITvnYXd9+xqNW9lIywl6
 fvLAzz1VDJAtdh03VS150Wc=
X-Google-Smtp-Source: AH8x227rfJHGjoJAnevSeaSi/BAQgAVFDmQ6XdppKIP1yJnnQGoNEabc7WR4dvcV+QAk4g9cIAMGoQ==
X-Received: by 10.202.253.75 with SMTP id b72mr19823851oii.321.1517861522847; 
 Mon, 05 Feb 2018 12:12:02 -0800 (PST)
Received: from [10.9.0.58] (nat2.webazilla.com. [74.117.181.234])
 by smtp.googlemail.com with ESMTPSA id c53sm4776329otj.58.2018.02.05.12.12.01
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 05 Feb 2018 12:12:02 -0800 (PST)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
To: Eli Zaretskii <eliz@HIDDEN>
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN> <83d11k85q0.fsf@HIDDEN>
 <1312bc39-f9f6-659a-2ab0-e351e6517a9a@HIDDEN> <83a7wn8l68.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <55e8f4de-ab10-c5d6-654b-dbbff3288fdb@HIDDEN>
Date: Mon, 5 Feb 2018 23:11:59 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101
 Thunderbird/58.0
MIME-Version: 1.0
In-Reply-To: <83a7wn8l68.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

On 2/5/18 19:18, Eli Zaretskii wrote:

>>> There are means to prevent resizing the mini-window without truncating
>>> anything in *Messages*.
>>
>> message-truncate-lines, right? Which I mentioned.
> 
> No, I meant resize-mini-windows.  The advantage of binding that around
> the offending code is that it doesn't affect what is being logged in
> *Messages*.

Oh, I see. I read the former's docstring wrong.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 5 Feb 2018 16:18:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 11:18:45 2018
Received: from localhost ([127.0.0.1]:58937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eijTh-0005GW-EC
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 11:18:45 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eijTf-0005GK-S8
 for 19045 <at> debbugs.gnu.org; Mon, 05 Feb 2018 11:18:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eijTZ-0001EK-Ct
 for 19045 <at> debbugs.gnu.org; Mon, 05 Feb 2018 11:18:38 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50237)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eijTT-0000yR-FQ; Mon, 05 Feb 2018 11:18:31 -0500
Received: from [176.228.60.248] (port=4095 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eijTS-0004XZ-O2; Mon, 05 Feb 2018 11:18:31 -0500
Date: Mon, 05 Feb 2018 18:18:23 +0200
Message-Id: <83a7wn8l68.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <1312bc39-f9f6-659a-2ab0-e351e6517a9a@HIDDEN> (message from
 Dmitry Gutov on Mon, 5 Feb 2018 11:25:39 +0300)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN> <83d11k85q0.fsf@HIDDEN>
 <1312bc39-f9f6-659a-2ab0-e351e6517a9a@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 19045 <at> debbugs.gnu.org, juri@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Mon, 5 Feb 2018 11:25:39 +0300
> 
> > There are means to prevent resizing the mini-window without truncating
> > anything in *Messages*.
> 
> message-truncate-lines, right? Which I mentioned.

No, I meant resize-mini-windows.  The advantage of binding that around
the offending code is that it doesn't affect what is being logged in
*Messages*.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 5 Feb 2018 08:25:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 03:25:51 2018
Received: from localhost ([127.0.0.1]:57696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eic63-0005HO-2s
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 03:25:51 -0500
Received: from mail-lf0-f54.google.com ([209.85.215.54]:33446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1eic60-0005HB-Tt
 for 19045 <at> debbugs.gnu.org; Mon, 05 Feb 2018 03:25:49 -0500
Received: by mail-lf0-f54.google.com with SMTP id t139so40500369lff.0
 for <19045 <at> debbugs.gnu.org>; Mon, 05 Feb 2018 00:25:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=Cx7s94sGRkmUdVonMlS3DhMhBNxTvOp6wJInMttGpe8=;
 b=E5Ds6z3GopYE5yAaRJBOly/Q0Cpi3/Xds2KZutX+tHFoLmEiEAb53gsxgHxmDY0foX
 F8wWkkL+4MoxUqYSwIzU4jebqnFutUzxl+Ln0pOAqp/CO0Bbmi7CtUNTj23pvkuShBri
 Cds5jl/cpkfrEn3XKHFsEgkW2U0Dt1/j1FP0AA3srIvNaf2quvv5HrMsopD8GQh6zjff
 m3BllMKDd8rtJ30VVIYBJ2dBSRvnzgsK9UopSub5hXd6iLn3kpLdqThTOllvOTp6i5+b
 7awGS5ICORMgd1bdj6u6bBGLpZ3+B1fRyNSw1ZDkBvWNJ9gx7vs5BfUR9lwK5EiArlcV
 4dZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=Cx7s94sGRkmUdVonMlS3DhMhBNxTvOp6wJInMttGpe8=;
 b=lFUgaKulEGgb9yCgADCyhlOssqF8iW61zVLxpvsYiuoMzufvUdSfkNM8dWAKQ3oxmQ
 6e9eugQ6RrgPCfzBqpz9rN/5ONqjA8uXJiom/0qe8jB1a2YR8LAeCUt+PAUlKYsNNhr9
 CiuHHoyUOKsHCCwC/q7v4f8sVJPQj7grop3pZnYVv+fOXrhdmw/UrFB7EQqS1jh1rhlF
 y/jB7PuX/pPusziADbNN3ndyCoh1KA7IphVOfDV3vFT1YnzmRGdCQ25+RmSZQhfWRdBR
 6Dcb7tKnzaE2rPmAyikAun2iC2QMs4nPn8HL6qpUHegFYOHx4eIcsnshw5JKKpBJAPIY
 8hdA==
X-Gm-Message-State: AKwxytfavOGed335uKSzhzdrS2SgUZjG8yoTL9koUto6gMQJDJ61ndAX
 Md2hUASnUrHBz/PmGgb3G6I=
X-Google-Smtp-Source: AH8x224Wus79NNhA4dxBmdjl0gs3TskEYRzlv946+Om/yDjlmWLD24b41AvymC17v0nRVVTChmH7YQ==
X-Received: by 10.25.206.131 with SMTP id e125mr23635726lfg.145.1517819142990; 
 Mon, 05 Feb 2018 00:25:42 -0800 (PST)
Received: from [192.168.1.190] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id h63sm1677239ljf.36.2018.02.05.00.25.41
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 05 Feb 2018 00:25:42 -0800 (PST)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
To: Eli Zaretskii <eliz@HIDDEN>
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN> <83d11k85q0.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <1312bc39-f9f6-659a-2ab0-e351e6517a9a@HIDDEN>
Date: Mon, 5 Feb 2018 11:25:39 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101
 Thunderbird/58.0
MIME-Version: 1.0
In-Reply-To: <83d11k85q0.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 2/5/18 06:39, Eli Zaretskii wrote: >> From: Dmitry Gutov
 >> Date: Mon, 5 Feb 2018 02:31:14 +0300 >> >> The 20 characters limit seems
 arbitrary, we just need to avoid resizing >> the echo area. > > There are
 means to prevent resizing the mini-window without truncating > anything in
 *Messages*. [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.215.54 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.54 listed in wl.mailspike.net]
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
 domains are different
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (raaahh[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
 freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2/5/18 06:39, Eli Zaretskii wrote: >> From: Dmitry Gutov
    >> Date: Mon, 5 Feb 2018 02:31:14 +0300 >> >> The 20 characters limit seems
    arbitrary, we just need to avoid resizing >> the echo area. > > There are
    means to prevent resizing the mini-window without truncating > anything in
    *Messages*. [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.54 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.215.54 listed in list.dnswl.org]
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (dgutov[at]yandex.ru)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

On 2/5/18 06:39, Eli Zaretskii wrote:
>> From: Dmitry Gutov <dgutov@HIDDEN>
>> Date: Mon, 5 Feb 2018 02:31:14 +0300
>>
>> The 20 characters limit seems arbitrary, we just need to avoid resizing
>> the echo area.
> 
> There are means to prevent resizing the mini-window without truncating
> anything in *Messages*.

message-truncate-lines, right? Which I mentioned.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 5 Feb 2018 03:40:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 22:40:12 2018
Received: from localhost ([127.0.0.1]:57590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiXdb-0004HY-Ux
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 22:40:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:44313)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eiXdZ-0004HL-Ty
 for 19045 <at> debbugs.gnu.org; Sun, 04 Feb 2018 22:40:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eiXdR-0001JC-GT
 for 19045 <at> debbugs.gnu.org; Sun, 04 Feb 2018 22:40:04 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39865)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eiXdR-0001J6-Cf; Sun, 04 Feb 2018 22:40:01 -0500
Received: from [176.228.60.248] (port=3576 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eiXdQ-0007e3-CW; Sun, 04 Feb 2018 22:40:00 -0500
Date: Mon, 05 Feb 2018 05:39:51 +0200
Message-Id: <83d11k85q0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN> (message from
 Dmitry Gutov on Mon, 5 Feb 2018 02:31:14 +0300)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
 <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Mon, 5 Feb 2018 02:31:14 +0300
> 
> The 20 characters limit seems arbitrary, we just need to avoid resizing 
> the echo area.

There are means to prevent resizing the mini-window without truncating
anything in *Messages*.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 5 Feb 2018 03:33:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 22:33:59 2018
Received: from localhost ([127.0.0.1]:57575 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiXXb-00048Y-AN
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 22:33:59 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eiXXX-00048I-Sl
 for 19045 <at> debbugs.gnu.org; Sun, 04 Feb 2018 22:33:56 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eiXXP-0005EY-EZ
 for 19045 <at> debbugs.gnu.org; Sun, 04 Feb 2018 22:33:50 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39789)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eiXXP-0005EP-Ak; Sun, 04 Feb 2018 22:33:47 -0500
Received: from [176.228.60.248] (port=3574 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eiXXO-0008BU-NL; Sun, 04 Feb 2018 22:33:47 -0500
Date: Mon, 05 Feb 2018 05:33:38 +0200
Message-Id: <83fu6g860d.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87d11kquw2.fsf@HIDDEN> (message from Juri Linkov on
 Sun, 04 Feb 2018 23:58:53 +0200)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Juri Linkov <juri@HIDDEN>
> Date: Sun, 04 Feb 2018 23:58:53 +0200
> 
> > Too bad that a new useful customizable variable
> > vc-git-print-log-follow is not mentioned in NEWS.26.
> >
> > It works quite well, but only with the following fix
> > that puts more restrictions - it checks not only
> > for a directory, but also if it is a single file.
> >
> > The whole patch is intended for the emacs-26 branch:
> 
> Pushed to the emacs-26 branch.

Please don't push anything to the release branch without John's or
mine explicit approval.  As things are, I'm very busy these days, and
didn't yet have time to review the patch thoroughly, so I'm not sure
I'm happy with its being pushed.

> diff --git a/lisp/vc/vc-dispatcher.el b/lisp/vc/vc-dispatcher.el
> index b0d2221..efdd29e 100644
> --- a/lisp/vc/vc-dispatcher.el
> +++ b/lisp/vc/vc-dispatcher.el
> @@ -313,6 +313,8 @@ vc-do-command
>  	    (status 0))
>  	(when files
>  	  (setq squeezed (nconc squeezed files)))
> +        (let ((inhibit-message t))
> +          (message "Running %s %s" command (vc-delistify squeezed)))
>  	(let (;; Since some functions need to parse the output
>  	      ;; from external commands, set LC_MESSAGES to C.
>  	      (process-environment (cons "LC_MESSAGES=C" process-environment))

I don't understand why would we want to hard-code the fact that these
commands are not shown in the echo area.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 4 Feb 2018 23:31:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 18:31:25 2018
Received: from localhost ([127.0.0.1]:57490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiTkr-00075m-2k
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 18:31:25 -0500
Received: from mail-lf0-f42.google.com ([209.85.215.42]:35198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1eiTkp-00075Z-LE
 for 19045 <at> debbugs.gnu.org; Sun, 04 Feb 2018 18:31:23 -0500
Received: by mail-lf0-f42.google.com with SMTP id a204so39266114lfa.2
 for <19045 <at> debbugs.gnu.org>; Sun, 04 Feb 2018 15:31:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=Le5zxGFzW5BxyH9AHj0/NJNdBlVqfEiGkXDG82FBOfY=;
 b=EGApqKiLhMgLJGB6ekJv6zQBavqs4rQGyMrnpJQPg3JDAuPnbigT1hGlsRvQXr2RUX
 CFIf5IIRS3+xOzZbas1qUdKKVGPFQb+WBsDLUo2o4MRTbMV3kW+XoFzSKo5BK+X58Udn
 GlYGWsktsZWiZkMGdRlfBM2WWVjtD0XAb1im8WCuYQ47/FnKeG8eoZXU4DifYFTFBaVd
 vtxalc618+NJhC8TcwrhT8KzjJVTq69yH0z2oMZl8k7Sc2Ypl8xNaEkV801ArYX4dPwp
 3GFqK2Z28LLQqa5UW9k0wC/JqlXW9ZuBXYZ6TOD6HYBiVVb73BqcrbTSrmifzhH93DSj
 4+qw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=Le5zxGFzW5BxyH9AHj0/NJNdBlVqfEiGkXDG82FBOfY=;
 b=fQVp4rjYxPgTvlnymYNF2AZo+qx6Vopv8kecSg8Og8aVr1wGkK4XZIdfNZCr2X/dsQ
 GrLhsV+rozOMCDABtVqn7oFF013V0Xyt1rPMYZXvQp8FRMHU7XzBol4yI7QhnHoi4FP+
 iPpt2HpbeAhP9Im+D9i4YUjgyG/5OExVSChDTa1sbary/U7ow3UoN+hebqD+0l1NmZrH
 uc/FFcXrWEoAbGSsrInLrnihdM9DkSH+ibavynai4UBzGkWcsxUD8QQUNq5JoM8L7YZZ
 BcgrN+g4QmitKSQtpcLSTUYHh3ppEOpOKPu8G7zDV1gfc01vtKwCjx1ixeS73F2nvyN3
 Y0UQ==
X-Gm-Message-State: APf1xPApHfhCtN2xyMIHwtnKhteOT7arMbdd5iTuR3iq+i0OmKoeELK6
 DpHwTZbasBuNb2MA+IVFjS/nt7V/
X-Google-Smtp-Source: AH8x226XD5OD8zrk7gxBmjOK6PZoDDL9iECdt0b3KCnfIFfdrWQsSb/wLrm/ReMmXYmkg6Exznu1Ig==
X-Received: by 10.46.8.18 with SMTP id 18mr3040822lji.147.1517787077427;
 Sun, 04 Feb 2018 15:31:17 -0800 (PST)
Received: from [192.168.1.190] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id n87sm1552409lja.21.2018.02.04.15.31.15
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 04 Feb 2018 15:31:16 -0800 (PST)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
To: Juri Linkov <juri@HIDDEN>, 19045 <at> debbugs.gnu.org
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
 <87d11kquw2.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <9c8f9d73-af0d-fdc7-7935-1a8a904c5c15@HIDDEN>
Date: Mon, 5 Feb 2018 02:31:14 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101
 Thunderbird/58.0
MIME-Version: 1.0
In-Reply-To: <87d11kquw2.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2/5/18 00:58, Juri Linkov wrote: > The command string is
    truncated in ‘vc-do-command’ and let-bound to > ‘full-command’, so
    we need to add an untruncated command string > to the *Messages* buffer.
   [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.215.42 listed in list.dnswl.org]
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.42 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (dgutov[at]yandex.ru)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 19045
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2/5/18 00:58, Juri Linkov wrote: > The command string is
    truncated in ‘vc-do-command’ and let-bound to > ‘full-command’, so
    we need to add an untruncated command string > to the *Messages* buffer.
   [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.42 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.215.42 listed in list.dnswl.org]
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (dgutov[at]yandex.ru)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

On 2/5/18 00:58, Juri Linkov wrote:

> The command string is truncated in ‘vc-do-command’ and let-bound to
> ‘full-command’, so we need to add an untruncated command string
> to the *Messages* buffer.

Looks okay to me. But here's an alternative to consider:

Could we use message-truncate-lines and just one message call instead?

The 20 characters limit seems arbitrary, we just need to avoid resizing 
the echo area. And if the "in background... done" part being truncated 
is a worry, we can rephrase them to go at the beginning of the sentence.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 4 Feb 2018 22:00:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 17:00:13 2018
Received: from localhost ([127.0.0.1]:57431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiSKa-00035E-Rx
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 17:00:13 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:35072
 helo=homiemail-a20.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1eiSKZ-000356-L5
 for 19045 <at> debbugs.gnu.org; Sun, 04 Feb 2018 17:00:11 -0500
Received: from homiemail-a20.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a20.g.dreamhost.com (Postfix) with ESMTP id 1EAB57EC064
 for <19045 <at> debbugs.gnu.org>; Sun,  4 Feb 2018 14:00:11 -0800 (PST)
Received: from localhost.linkov.net (m91-129-107-8.cust.tele2.ee
 [91.129.107.8])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a20.g.dreamhost.com (Postfix) with ESMTPSA id 798A97EC060
 for <19045 <at> debbugs.gnu.org>; Sun,  4 Feb 2018 14:00:10 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: 19045 <at> debbugs.gnu.org
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN> <874lmxloo1.fsf@HIDDEN>
Date: Sun, 04 Feb 2018 23:58:53 +0200
In-Reply-To: <874lmxloo1.fsf@HIDDEN> (Juri Linkov's message of "Sat, 
 03 Feb 2018 23:59:58 +0200")
Message-ID: <87d11kquw2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19045
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

> Too bad that a new useful customizable variable
> vc-git-print-log-follow is not mentioned in NEWS.26.
>
> It works quite well, but only with the following fix
> that puts more restrictions - it checks not only
> for a directory, but also if it is a single file.
>
> The whole patch is intended for the emacs-26 branch:

Pushed to the emacs-26 branch.

Here is a related problem.  The executed git command is not shown
completely in the echo area, this is ok since there is not much space.

But the git command is truncated in the *Messages* buffer, this is bad
because sometimes there is a need to inspect the command run by git with
its command line switches in its entirety, especially in case of errors.

The command string is truncated in =E2=80=98vc-do-command=E2=80=99 and le=
t-bound to
=E2=80=98full-command=E2=80=99, so we need to add an untruncated command =
string
to the *Messages* buffer.

Here is an example of what will be in *Messages* after this patch:

  Running git --no-pager log -p -L1001,1039:vc-git.el
  Running git --no-pager log -p -L... . in background...
  Running git --no-pager log -p -L... . in background... done

This patch is for the master branch:

diff --git a/lisp/vc/vc-dispatcher.el b/lisp/vc/vc-dispatcher.el
index b0d2221..efdd29e 100644
--- a/lisp/vc/vc-dispatcher.el
+++ b/lisp/vc/vc-dispatcher.el
@@ -313,6 +313,8 @@ vc-do-command
 	    (status 0))
 	(when files
 	  (setq squeezed (nconc squeezed files)))
+        (let ((inhibit-message t))
+          (message "Running %s %s" command (vc-delistify squeezed)))
 	(let (;; Since some functions need to parse the output
 	      ;; from external commands, set LC_MESSAGES to C.
 	      (process-environment (cons "LC_MESSAGES=3DC" process-environment)=
)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 3 Feb 2018 22:01:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 03 17:01:08 2018
Received: from localhost ([127.0.0.1]:56048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ei5rw-0003WI-90
	for submit <at> debbugs.gnu.org; Sat, 03 Feb 2018 17:01:08 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:51884
 helo=homiemail-a20.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ei5ru-0003Ta-31
 for 19045 <at> debbugs.gnu.org; Sat, 03 Feb 2018 17:01:06 -0500
Received: from homiemail-a20.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a20.g.dreamhost.com (Postfix) with ESMTP id 3A48B7EC063
 for <19045 <at> debbugs.gnu.org>; Sat,  3 Feb 2018 14:01:05 -0800 (PST)
Received: from localhost.linkov.net (m91-129-107-8.cust.tele2.ee
 [91.129.107.8])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a20.g.dreamhost.com (Postfix) with ESMTPSA id 940407EC060
 for <19045 <at> debbugs.gnu.org>; Sat,  3 Feb 2018 14:01:04 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: 19045 <at> debbugs.gnu.org
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
Organization: LINKOV.NET
References: <87d28rt4jl.fsf@HIDDEN>
Date: Sat, 03 Feb 2018 23:59:58 +0200
In-Reply-To: <87d28rt4jl.fsf@HIDDEN> (=?iso-8859-1?Q?=22=D3scar?=
 Fuentes"'s message of "Thu, 13 Nov 2014 18:05:02 +0100")
Message-ID: <874lmxloo1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19045
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--=-=-=
Content-Type: text/plain

Too bad that a new useful customizable variable
vc-git-print-log-follow is not mentioned in NEWS.26.

It works quite well, but only with the following fix
that puts more restrictions - it checks not only
for a directory, but also if it is a single file.

The whole patch is intended for the emacs-26 branch:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=vc-git-print-log-follow.patch

diff --git a/etc/NEWS b/etc/NEWS
index 5b3e445..6aa4b2d 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -1169,6 +1169,9 @@ branch-related commands on a keymap bound to 'B'.
 *** 'vc-region-history' is now bound to 'C-x v h', replacing the older
 'vc-insert-headers' binding.
 
+*** New user option 'vc-git-print-log-follow' follow renames in Git logs
+for a single file.
+
 ** CC mode
 
 ---
diff --git a/lisp/vc/vc-git.el b/lisp/vc/vc-git.el
index 3bf837c..9b54b88 100644
--- a/lisp/vc/vc-git.el
+++ b/lisp/vc/vc-git.el
@@ -994,7 +994,7 @@ This prompts for a branch to merge from."
 (autoload 'vc-setup-buffer "vc-dispatcher")
 
 (defcustom vc-git-print-log-follow nil
-  "If true, follow renames in Git logs for files."
+  "If true, follow renames in Git logs for a single file."
   :type 'boolean
   :version "26.1")
 
@@ -1019,8 +1019,9 @@ If LIMIT is non-nil, show no more than this many entries."
 	       (append
 		'("log" "--no-color")
                 (when (and vc-git-print-log-follow
-                           (not (cl-some #'file-directory-p files)))
-                  ;; "--follow" on directories is broken
+                           (null (cdr files))
+                           (not (file-directory-p (car files))))
+                  ;; "--follow" on directories or multiple files is broken
                   ;; https://debbugs.gnu.org/cgi/bugreport.cgi?bug=8756
                   ;; https://debbugs.gnu.org/cgi/bugreport.cgi?bug=16422
                   (list "--follow"))

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.
Removed tag(s) patch. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 19045-done <at> debbugs.gnu.org:


Received: (at 19045-done) by debbugs.gnu.org; 13 Nov 2014 21:11:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 13 16:11:42 2014
Received: from localhost ([127.0.0.1]:59836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xp1g6-0004Nx-IC
	for submit <at> debbugs.gnu.org; Thu, 13 Nov 2014 16:11:42 -0500
Received: from relaycp01.dominioabsoluto.net ([217.116.26.68]:38896)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ofv@HIDDEN>) id 1Xp1g3-0004Nk-BN
 for 19045-done <at> debbugs.gnu.org; Thu, 13 Nov 2014 16:11:40 -0500
Received: from smtp.movistar.es (smtp11.acens.net [86.109.99.135])
 by relaycp01.dominioabsoluto.net (Postfix) with ESMTP id 8360449C7;
 Thu, 13 Nov 2014 22:47:19 +0100 (CET)
X-CTCH-RefID: str=0001.0A0B0207.54651E86.026B, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-Spam: Unknown
Received: from qcore (80.26.206.186) by smtp.movistar.es (8.6.122.03)
 (authenticated as 981711563$telefonica.net)
 id 54615F2D0017DBD4; Thu, 13 Nov 2014 21:11:34 +0000
From: =?utf-8?Q?=C3=93scar_Fuentes?= <ofv@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <868ujekjg1.fsf@HIDDEN>
Date: Thu, 13 Nov 2014 22:11:33 +0100
In-Reply-To: <868ujekjg1.fsf@HIDDEN> (Dmitry Gutov's message of "Thu, 13
 Nov 2014 21:07:58 +0200")
Message-ID: <878ujeu7p6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19045-done
Cc: 19045-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Dmitry Gutov <dgutov@HIDDEN> writes:

> You should check out the discussion at http://debbugs.gnu.org/8756.

Ok, so it is not as simple as it seems.




Notification sent to Steinar Bang <sb@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Óscar Fuentes <ofv@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 19045-done <at> debbugs.gnu.org:


Received: (at 19045-done) by debbugs.gnu.org; 13 Nov 2014 21:11:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 13 16:11:42 2014
Received: from localhost ([127.0.0.1]:59836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xp1g6-0004Nx-IC
	for submit <at> debbugs.gnu.org; Thu, 13 Nov 2014 16:11:42 -0500
Received: from relaycp01.dominioabsoluto.net ([217.116.26.68]:38896)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ofv@HIDDEN>) id 1Xp1g3-0004Nk-BN
 for 19045-done <at> debbugs.gnu.org; Thu, 13 Nov 2014 16:11:40 -0500
Received: from smtp.movistar.es (smtp11.acens.net [86.109.99.135])
 by relaycp01.dominioabsoluto.net (Postfix) with ESMTP id 8360449C7;
 Thu, 13 Nov 2014 22:47:19 +0100 (CET)
X-CTCH-RefID: str=0001.0A0B0207.54651E86.026B, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-Spam: Unknown
Received: from qcore (80.26.206.186) by smtp.movistar.es (8.6.122.03)
 (authenticated as 981711563$telefonica.net)
 id 54615F2D0017DBD4; Thu, 13 Nov 2014 21:11:34 +0000
From: =?utf-8?Q?=C3=93scar_Fuentes?= <ofv@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN> <868ujekjg1.fsf@HIDDEN>
Date: Thu, 13 Nov 2014 22:11:33 +0100
In-Reply-To: <868ujekjg1.fsf@HIDDEN> (Dmitry Gutov's message of "Thu, 13
 Nov 2014 21:07:58 +0200")
Message-ID: <878ujeu7p6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19045-done
Cc: 19045-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Dmitry Gutov <dgutov@HIDDEN> writes:

> You should check out the discussion at http://debbugs.gnu.org/8756.

Ok, so it is not as simple as it seems.




Notification sent to ofv@HIDDEN (Óscar Fuentes):
bug acknowledged by developer. Full text available.
Reply sent to Óscar Fuentes <ofv@HIDDEN>:
You have taken responsibility. Full text available.
Forcibly Merged 8756 19045. Request was from Stefan Monnier <monnier@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 19045 <at> debbugs.gnu.org:


Received: (at 19045) by debbugs.gnu.org; 13 Nov 2014 19:08:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 13 14:08:04 2014
Received: from localhost ([127.0.0.1]:59716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XozkS-00084u-85
	for submit <at> debbugs.gnu.org; Thu, 13 Nov 2014 14:08:04 -0500
Received: from mail-ee0-f52.google.com ([74.125.83.52]:50842)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1XozkQ-00084e-5d
 for 19045 <at> debbugs.gnu.org; Thu, 13 Nov 2014 14:08:03 -0500
Received: by mail-ee0-f52.google.com with SMTP id b57so49706eek.25
 for <19045 <at> debbugs.gnu.org>; Thu, 13 Nov 2014 11:08:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type:content-transfer-encoding;
 bh=ftcgMNyzF7MdMtZiudWp6/7l+ByG+n13de769za6Kyc=;
 b=szhUaGFiCNY7hWNcCs0niKYtGGFfolgR5Z16gPY3fqdfG3bFNS6dNP1KFcOZR40uKd
 16lhxJ5jcBO06gjmP2jCuPCVEbge43LhudKFq34+lsM2WLcwnciU0DG2Y4tjyLeHJPNL
 BiZb1KsoW1QytY/H8bBa2SRAeNeG3mPmd8M9NTOLu8VDmNyp+nCz7c/RSXjTZAIqo8bb
 7h7H0yxU2fUHKvReDWOysMF5avsJC/W02udRFNsNbkBR6+y/nUDf10sgUBc6o7MM14dy
 Tc0/EIiX42qHuXqGYQ9cCGD7mKTSEFLrhaGV7CJNuNe+IIGKa28fPp2FqwPemNOXEYgJ
 TAzA==
X-Received: by 10.194.157.137 with SMTP id wm9mr6867370wjb.5.1415905681618;
 Thu, 13 Nov 2014 11:08:01 -0800 (PST)
Received: from axl ([82.102.116.197])
 by mx.google.com with ESMTPSA id fi9sm447760wib.6.2014.11.13.11.08.00
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Thu, 13 Nov 2014 11:08:01 -0800 (PST)
From: Dmitry Gutov <dgutov@HIDDEN>
To: ofv@HIDDEN (=?utf-8?Q?=C3=93scar?= Fuentes)
Subject: Re: bug#19045: 25.0.50; [PATCH] vc-git-print-log use --follow
References: <87d28rt4jl.fsf@HIDDEN>
Date: Thu, 13 Nov 2014 21:07:58 +0200
In-Reply-To: <87d28rt4jl.fsf@HIDDEN> (=?utf-8?Q?=22=C3=93scar?=
 Fuentes"'s message of "Thu, 13 Nov 2014 18:05:02 +0100")
Message-ID: <868ujekjg1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.51 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 19045
Cc: 19045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

ofv@HIDDEN (=C3=93scar Fuentes) writes:

> 2014-11-13 Oscar Fuentes <ofv@HIDDEN>
>
> 	When showing a log with git, continue beyond renames.
> 	* lisp/vc/vc-git.el (vc-git-print-log): Use --follow.

You should check out the discussion at http://debbugs.gnu.org/8756.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Nov 2014 17:05:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 13 12:05:31 2014
Received: from localhost ([127.0.0.1]:59595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xoxpq-0002G2-QR
	for submit <at> debbugs.gnu.org; Thu, 13 Nov 2014 12:05:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33238)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ofv@HIDDEN>) id 1Xoxpo-0002Fq-HZ
 for submit <at> debbugs.gnu.org; Thu, 13 Nov 2014 12:05:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ofv@HIDDEN>) id 1Xoxpg-000350-6E
 for submit <at> debbugs.gnu.org; Thu, 13 Nov 2014 12:05:28 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57118)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ofv@HIDDEN>) id 1Xoxpg-00034w-3n
 for submit <at> debbugs.gnu.org; Thu, 13 Nov 2014 12:05:20 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34793)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ofv@HIDDEN>) id 1XoxpZ-0002dS-2r
 for bug-gnu-emacs@HIDDEN; Thu, 13 Nov 2014 12:05:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ofv@HIDDEN>) id 1XoxpR-0002uN-Vs
 for bug-gnu-emacs@HIDDEN; Thu, 13 Nov 2014 12:05:13 -0500
Received: from relaycp03.dominioabsoluto.net ([217.116.26.84]:55678)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ofv@HIDDEN>) id 1XoxpR-0002qC-OW
 for bug-gnu-emacs@HIDDEN; Thu, 13 Nov 2014 12:05:05 -0500
Received: from smtp.movistar.es (smtp10.acens.net [86.109.99.134])
 by relaycp03.dominioabsoluto.net (Postfix) with ESMTP id AF88BBFBB13
 for <bug-gnu-emacs@HIDDEN>; Thu, 13 Nov 2014 18:05:03 +0100 (CET)
X-CTCH-RefID: str=0001.0A0B0201.5464E4BF.02F3, ss=1, re=0.001, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-Spam: Unknown
Received: from qcore (80.26.206.186) by smtp.movistar.es (8.6.122.03)
 (authenticated as 981711563$telefonica.net)
 id 5453978C006BE610 for bug-gnu-emacs@HIDDEN; Thu, 13 Nov 2014 17:05:03 +0000
From: ofv@HIDDEN (=?utf-8?Q?=C3=93scar?= Fuentes)
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50; [PATCH] vc-git-print-log use --follow
Date: Thu, 13 Nov 2014 18:05:02 +0100
Message-ID: <87d28rt4jl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--=-=-=
Content-Type: text/plain


2014-11-13 Oscar Fuentes <ofv@HIDDEN>

	When showing a log with git, continue beyond renames.
	* lisp/vc/vc-git.el (vc-git-print-log): Use --follow.



--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment; filename=vc-git-log-follow-renames.patch

diff --git a/lisp/vc/vc-git.el b/lisp/vc/vc-git.el
index afcfd66..19c31e1 100644
--- a/lisp/vc/vc-git.el
+++ b/lisp/vc/vc-git.el
@@ -839,6 +839,7 @@ If LIMIT is non-nil, show no more than this many entries."
                     ,(format "--pretty=tformat:%s"
 			     (car vc-git-root-log-format))
 		    "--abbrev-commit"))
+		'("--follow")
 		(when limit (list "-n" (format "%s" limit)))
 		(when start-revision (list start-revision))
 		'("--")))))))

--=-=-=--




Acknowledgement sent to ofv@HIDDEN (Óscar Fuentes):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#19045; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 20 Feb 2018 21:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.